Overview of changes in gnome-calculator 48.0.2
    * Fix building with non-nightly vala

Overview of changes in gnome-calculator 48.0.1
    * Code cleanup and minor improvements (fcusr)
    * Allow scrolling the display using scroll wheel (fcusr)
    * Fixed conversions not working #451 (Robert Roth)

Overview of changes in gnome-calculator 48.0
    * Updated translations
    * Fixed converter context menus not working (fcusr)
    * Code cleanup and improvements (fcusr, Adrien Plazas)
    * Improvements in function usage, brackets usage (Adrien Plazas)

Overview of changes in gnome-calculator 48.rc
    * Updated translations
    * UI and styling fixes (fcusr, Adrien Plazas)
    * Do not steal focus on window move #422 (Robert Roth)

Overview of changes in gnome-calculator 48.beta
    * Updated translations
    * Added Conversion mode (fcusr)
    * Ported financial dialogs to modern widgets (fcusr)
    * programming: disable digits not available in current number base
    * buttons: improvements to popover styling

Overview of changes in gnome-calculator 48.alpha
    * Updated translations
    * a11y: Announce the calculation result even when done through the buttons #411 (Lukáš Tyrychtr)
    * display: Cycle through history with Alt+Left/Right buttons #296 (Hari Rana)
    * character-dialog: Modernized the character dialog (Hari Rana)
    * history-entry: Apply dim label to some buttons (Hari Rana)
    * math-preferences: Use header capitalization (Automeris naranja)
    * converter: Use correct kJ unit shortName #427 (Robert Roth)
    * converter: Fixed incorrect units in financial mode #424 (Robert Roth)
    * converter: Added nanosecond unit (Robert Roth)
    * tests: Fixed broken test on slower computers #434 (Robert Roth)
    * history-view: Improve default size #419 (Robert Roth)
    * display: Fixed incorrectly sized text entry #405 (Robert Roth)
    * converter: Add pressure units !179 (Olexander Movchan, Anders Jonsson)
    * converter: Updated russian ruble currency symbol and name #440 (Robert Roth)
    * display: Fix crash on using Shift+Insert #442 (Robert Roth)
    * converter: Fixed MJ and kWh conversion factors #445 (Çağatay Yiğit Şahin)
    * tests: Added test to validate MJ and kWh conversion (Robert Roth)
    * keyboard: Added shortcut to clear history #398 (Claudio Silva Junior)

Overview of changes in gnome-calculator 47.0
    * Updated translations
    * Fixed flatpak build !181 (Hari Rana)
    * Don't use symbolic icons for the window !182 (Balló György)

Overview of changes in gnome-calculator 47.rc
    * Updated translations
    * Added brand colors !178 (Brage Fuglseth)

Overview of changes in gnome-calculator 47.beta
    * Updated translations
    * Fix hex string conversion for bitwise operator !177 (Xiong Nandi)
    * Force LTR for buttons !171 (Khalid Abu Shawarib)
    * Added kWh, MJ, KJ unit support #417 (Robert Roth)
    * Sort conversion categories alphabetically #395 (Robert Roth)
    * Removed obsolete bulgarian translations #402 (Robert Roth)
    * Only allow alphanumeric values for variable names #396 (Robert Roth)
    * Replace base_label with buttons !173 (Clément Mathieu--Drif)
    * Updated flathub badge !174 (Brage Fuglseth)
    * Use adwaita spinner !175 (Cristopher Davis)

Overview of changes in gnome-calculator 47.alpha
    * Updated translations
    * Support VND currency #387 (Robert Roth)
    * Fixed incorrect event handling #392 (Robert Roth)
    * Removed Shift left/right dropdown #330 (Robert Roth)
    * Improved popover remove buttons #401 (Robert Roth)
    * Use result format instead of number format #399 (Robert Roth)
    * Ported to Adwaita adaptive dialogs (Robert Roth)
    * Disable undo button if nothing to undo #280 (Robert Roth)
    * Metainfo improvements (Andre Klapper)
    * Keep last conversion options at launch #351 (Robert Roth)
    * Minor improvements to the undo button !166 (Automeris naranja)
    * Make sure to use the correct app id for development builds !170 (Christopher Davis)
    * Stop using orange accent color !169 (Alice Mikhaylenko)
    * A11y announce status changes !172 (Lukáš Tyrychtr)

Overview of changes in gnome-calculator 46.0
    * Updated translations
    * Metainfo improvements (Alexandre Franke, Andre Klapper)
    
Overview of changes in gnome-calculator 46.rc
    * Updated translations
    * Metainfo (homepage, developer id) improvements (Sophie Herold, Robert Roth)

Overview of changes in gnome-calculator 46.beta
    * Updated translations

Overview of changes in gnome-calculator 46.alpha
    * Updated translations
    * Allow substring search in the unit selection drop-downs #338 (Lukáš Tyrychtr)
    * libsoup library usage update (Robert Roth)
    * appdata updates !158 (Sabri Ünal)
    * Ported some components to adwaita !159 (Pig)
    * Support Argentine Peso currency #370 (Pacho Ramos)
    * Reload conversion rates if in search-provider conversion fails !162 (Vladislav Yegorov)
    * Add Troy ounce (ozt) as new unit !109 (Gwyneth Morgan)


Overview of changes in gnome-calculator 45.0.2
    * Updated translations

Overview of changes in gnome-calculator 45.0.1
    * Retagging release

Overview of changes in gnome-calculator 45.rc
    * Updated translations

Overview of changes in gnome-calculator 45.0
    * Updated translations
    * Search provider performance improvements !154, !155, !156 (Christian Hergert)
    * Use numeric font instead of monospace #290 (Robert Roth)
    * Fixed electron-volt unit abbreviation #347 (Robert Roth)
    * Fixed erroneous Joule unit name #348 (Robert Roth)
    * Fixed missing build dependency !157 (Jeremy Bicha)

Overview of changes in gnome-calculator 45.beta
    * Updated translations
    * Fixed variable and function popover reverse typing #335, #320 (Robert Roth)
    * Better left/right cursor key handling !153 (Seth Falco)
    * Improved toolbar using Adwaita library !151 (Felipe Kinoshita)
    * Flatpak build improvements (Robert Roth)

Overview of changes in gnome-calculator 45.alpha
    * Updated translations
    * Remember window size #328 !146 (Leonard K, Alice Mikhaylenko)
    * Allow opening Main Menu by pressing F10 !142 !149 (Automeris naranja)
    * Extend bit-shifting limit #306 !143 (J Sory)
    * Added new energy units !143 (J Sory)
    * Added TWD support via Bank of Canada rates #27 !148 (Mário Adriano)
    * Added legal section for exchange rate source attribution (Robert Roth)
    * Added United Nations Treasury exchange rate datasource (Robert Roth)
    * Added Jamaican Dollar currency #291 (Robert Roth)
    * Added Ukrainian hryvnia currency #278 (Robert Roth)
    * Added Nigerian Naira currency #142 (Robert Roth)
    * Changed symbolic icon to C on the clear button #336 (Robert Roth)
    * Dropped VEF currency support #78 (Robert Roth)
    * Use new vala-nightly SDK extension for flatpak (Robert Roth)

Overview of changes in gnome-calculator 44.0
    * Updated translations

Overview of changes in gnome-calculator 44.rc
    * Updated translations

Overview of changes in gnome-calculator 44.beta
    * Updated translations
    * Improved factorization !141 (J. Sory)
    * Number format selection documentation improvements #321 (Robert Roth)
    * Made builtin function descriptions translatable #323 (Robert Roth)
    * Fixed display showing 0 on startup #318 (Robert Roth)
    * Improved button tooltips !132 (sunflowerskater)
    * Added signed int support to programming mode !110 (Erik Wolf)
    * i and e constants updated according to ISO 80000-2:2009 !137 (majjejjam)
    * Help overlay updates !133 (Sabri Ünal)
    * Added preferences shortcut !129 (Sabri Ünal)
    * Destroy dialog after clicking cancel #310 (Jaycee Santos)

Overview of changes in gnome-calculator 43.0.1
    * Fixed appdata versioning (Robert Roth)

Overview of changes in gnome-calculator 43.0
    * Removed old issue tracker references !128 (Jake Dane)

Overview of changes in gnome-calculator 43.rc
    * Updated translations
    * Fix crash when entering new function name !124 (Nathaniel Russel)
    * Fix source view border !121 (Alexander Mikhaylenko)
    * Flatpak build update !122 (Bartłomiej Piotrowski)
    * Port about window to libadwaita !119 (Christopher Davis)
    * Port to libsoup3 !120 (AppleME)
    
Overview of changes in gnome-calculator 43.alpha
    * Updated translations
    * Fixed broken undo/redo #266 (Robert Roth)
    * Make sure variable name definitions work with whitespace too (Robert Roth)
    * Fix translatable strings !116 (Maximiliano)
    * Fixed missing implicit multiplication with variable and root #279 (Robert Roth)
    * meson warning fixes (Robert Roth)

Overview of changes in gnome-calculator 42.2
    * Updated translations
    * Fixed incorrect history with bits toggling #281 (Robert Roth)
    * Fixed crash when typing in variable popover #282 (Robert Roth)
    * Fixed incorrect libxml usage #283 (Luca Bacci, Robert Roth)

Overview of changes in gnome-calculator 42.1
    * Updated translations
    * Fixed broken undo/redo #266 (Robert Roth)
    * Removed automatic closing brace addition #271 (Robert Roth)
    * Fixed incorrect percentage symbol precedence handling #236, #275 (Robert Roth)

Overview of changes in gnome-calculator 42.0
    * Updated translations

Overview of changes in gnome-calculator 42.rc
    * Updated translations
    * Use new gnome post_install script !106 (Bobby Rong)
    * gcalc build fixes (Daniel Espinoza Ortiz)
    * Updated screenshots (Christopher Davis)
    * Set default focus to entry (Robert Roth)

Overview of changes in gnome-calculator 42.beta
    * Updated Translations
    * Fixed build issues with GCI entry controller tests #250 (Robert Roth)
    * Force LTR in history view #252 (Robert Roth)
    * programing mode: Force bit digits to be always LTR #258 (Yosef Or Boczko)
    * Use AdwApplication (Alexander Mikhaylenko)
    * ui: Fix styles !105 (Alexander Mikhaylenko)

Overview of changes in gnome-calculator 42.alpha
    * Updated Translations
    * build: Support flatpak development builds (Óscar Fernández Díaz)
    * build: migrated to GTK4 !98 (Cristopher Davis, Robert Roth)
    * entry: Added currencies completion provider (Robert Roth)
    * entry: Fixed percentage evaluation error #237 (Robert Roth)
    * internal: Moved history view from MathDisplay to MathWindow (Robert Roth)
    * window: set default width for basic and keyboard mode #240 (Robert Roth)
    * buttons: removed destructive action class from clear button #242 (Robert Roth)
    * converter: search support in unit selector, separate conversion category selector #108 (Robert Roth)

Overview of changes in gnome-calculator 41.0
    * Updated Translations
    * Use first translated symbol for conversion with button #219 (Robert Roth)
    * Appdata includes hardware support information (Adrien Plazas)

Overview of changes in gnome-calculator 41.rc
    * Updated Translations

Overview of changes in gnome-calculator 41.alpha
    * Updated Translations
    * Adaptive preferences window !85 (Adrien Plazas)
    * Fixed currency conversion using convert button #216 (Robert Roth)
    * User interface reworked, adaptive UI !81 (Adrien Plazas)
    * Enlarged calculator icon in help !82 (Sabri Ünal)
    * Code cleanup (Robert Roth)
    * Fixed kilohertz shorthand !87 (scootergrisen)
    * Fixed donation link !88 (René Genz)
    * Added support using calculator without currency conversion for privacy !89 (Ray Strode)
    * Added support for function description of custom functions using @ !90 (Martin Jirku)

Overview of changes in gnome-calculator 40.0
    * Updated Translations

Overview of changes in gnome-calculator 40.rc
    * Updated Translations
    * Resize window after switching mode !78 (joshas)
    * Fixed compilation warnings (Robert Roth)
    * Support offline currency conversion tests #208 (Robert Roth)
    * Use official unit on conversion button click #207 (Robert Roth)
    * Fixed temperature unit typos #211 (Robert Roth)
    * Ellipsize conversion labels #17 (Robert Roth)
    * Added Ctrl+Delete shortcut for clearing the current equation #187 (Robert Roth)
    * Allow multiple decimal points #166. #5 (Robert Roth)
    * Added Ctrl+O shortcut for degrees symbol (Robert Roth)
    * Use gtk-sourceview 4.8 !80 (Robert Roth)

Overview of changes in gnome-calculator 40.beta
    * Updated Translations
    * Fixed CI build (Robert Roth)
    * Fixed issues with initial loading of currencies (Robert Roth)
    * Rework currency retrieval preparing for currency provider plugins (Robert Roth)
    * Fixed commandline conversions #33 (Robert Roth)
    * Added currency conversion tests (Robert Roth)
    * Added support for frequencies conversion (Dave Hulst)
    * Added support for converting to and from weeks (Dave Hulst)
    * Added support for converting to and from centuries and decades (Dave Hulst)
    * Increase buttons font size #201 (Robert Roth)
    * Added % button to Advanced mode (Dave Hulst)
    * Show 4 decimals in converter instead of only two #203 (Robert Roth)
    * Added style classes to buttons !76 (Dave Hulst)

Overview of changes in gnome-calculator 40.alpha
    * Updated Translations
    * Use libhandy for window and headerbar !69 (Cristopher Davis)
    * Use C instead of Clr in help !70 (scootergrisen)
    * Fixed broken currency conversion on first start #199 (Robert Roth)
    * Removed duplicate word from help #198 (Robert Roth)
    * Added lbs shortcut for pounds conversion (Robert Roth)
    * Fixed inconsistent word size (A. M. Roswell)
    * Removed unused trunc button from programming mode #41 (Robert Roth)
    * Fixed deprecation warnings
    * Added Serbian Dinar with fixed rate #49 (Robert Roth)
    * Added Bangladeshi Taka with fixed rate #191 (A. M. Roswell)
    * Updated mailing list contact to Discourse (Robert Roth)
    * Added basic help page for programming mode (A. M. Roswell)
    * Added insert character code button (A. M. Roswell)
    * Dim inapplicable bits on word size change #189 (A. M. Roswell)
    * Make the conversion labels selectable (Robert Roth)
    * Do not convert on swap #170 (Robert Roth)
    * Word size changer in programming mode !58 (A. M. Roswell)
    * Added metric cups conversion unit !53 (Lucy Coleclough)
    * Fixed astronomical unit conversion !51 (Thomas Nilsson)
    * Fixed feet-based units name, added mph and kph shortcuts #180 (Robert Roth)
    * Use shell copy to clipboard action #178 (Robert Roth)  
    * Fixed preferences of angle units !56 (Delton Ding)

Overview of changes in gnome-calculator 3.38.0
    * Updated German translation (Mario Blättermann)
    * Updated Catalan translation (Jordi Mas)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Hungarian translation (Balázs Meskó)
    * Updated Danish translation (Ask Hjorth Larsen, Alan Mortensen)
    * Updated Greek translation (Efstathios Iosifidis)

Overview of changes in gnome-calculator 3.37.92
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Galician translation (Fran Diéguez)
    * Updated Spanish translation (Daniel Mustieles García)
    * Updated Polish translation (Piotr Drąg)
    * Updated Turkish translation (Emin Tufan)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Croatian translation (Goran Vidović)
    * Updated Japanese translation (sicklylife)
    * Updated Czech translation (Marek Černocký)
    * Updated Brazilian Portuguese translation (Yuri Gomes)
    * Updated Persian translation (Daniel Behzadi)
    * Updated Dutch translation (Nathan Follens)
    * Updated Catalan translation (Jordi Mas)
    * Updated British English translation (Zander Brown)
    * Updated Serbian translation (Марко М. Костић (Marko M. Kostić))
    * Updated Slovak translation (Dušan Kazik)
    * Updated Korean translation (Changwoo Ryu)

Overview of changes in gnome-calculator 3.37.90
    * Add tooltips for bits in programming mode !46 (Olliver Schinagl)
    * Updated French translation (Guillaume Bernard)
    * Updated Indonesian translation (Andika Triwidada)
    * Updated Ukrainian translation (Daniel Korostil, Yuri Chornoivan)
    * Updated Catalan translation (Jordi Mas, Gil Forcada)
    * Updated Basque translation (Ibai Oihanguren Sala, Asier Sarasua Garmendia)
    * Updated Hebrew translation (Yosef Or Boczko)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Slovenian translation (Matej Urbančič)
    * snap packaging updates (Ken VanDine)
    * Added link to website in About #155 (Robert Roth)
    * Added speed conversions !49 (Mathieu Heurtevin)
    * Updated Romanian translation (Florentina Mușat)
    * History view follows preferences #105, #159, #168 (Robert Roth)
    * Added month as time unit #158 (Robert Roth)
    * Better help for variables example usage #154 (Robert Roth)
    * Defined pi variable, added pi button in programming mode #153 (Robert Roth)
    * CI build fixes (Robert Roth)
    * Updated app icon !47 (Jakub Steiner)
    * Fixed bug returning empty string as result #152 (Robert Roth)
    * Support latex-style multiplication #164 (Robert Roth)
    * Added support for tau constant #46 (Robert Roth)
    * Unify constant handling (Robert Roth)
    * Separate UI files from sources (Robert Roth)
    * Moved number format selection to separate menu #24 (Robert Roth)
    * Replaces mode selector shortcuts with Ctrl+Alt (Robert Roth)
    * Clear answer if editing right before it #59, #161 (Robert Roth)
    * Moved preferences dialog to UI file (Robert Roth)
    * Refresh bits panel after calculation #38 (Robert Roth)
    * Updated Spanish translation (Daniel Mustieles García)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Chinese translation (Boyuan Yang)
    * Updated German translation (Tim Sabsch)
    * Removed past author addresses #174 (Robert Roth)
    * Updated Swedish translation (Anders Jonsson)

Overview of changes in gnome-calculator 3.36.0
    * Updated Catalan translation (Jordi Mas)
    * Fixed broken markup in XHosa UI translation (Andre Klapper)
    * Updated Swedish translation (Anders Jonsson)  
    * Updated Italian translation (Janvitus)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated German translation (Tim Sabsch)
    * Updated Dutch translation (Nathan Follens)
    * Fixed broken markup in Dzongka UI translation (Andre Klapper)
    * Updated Czech help translation (Marek Černocký)
    * Updated Hungarian translation (Balázs Úr)

Overview of changes in gnome-calculator 3.35.92
    * Updated Spanish translation (Daniel Mustieles García)
    * Updated Croatian translation (Goran Vidović)
    * doc: Don't pass --fatal-warnings to valadoc (Rico Tzschichholz)
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Swedish translation (Anders Jonsson)
    * Removed obsolete keyboard shortcut #148 (Robert Roth)
    * Updated Persian translation (Danial Behzadi)
    * Updated Basque translation (Asier Sarasua Garmendia)
    * Update British English translation (Bruce Cowan)
    * Updated Japanese translation (sicklylife)
    * Updated Czech translation (Marek Černocký)
    * Updated Turkish translation (Emin Tufan)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Hungarian translation (Balázs Meskó)
    * Updated Chinese (Taiwan) translation (pesder)
    * Updated Danish translation (Alan Mortensen)
    * Updated Serbian translation (Марко М. Костић (Marko M. Kostić))
    * help: Update icon for 3.36 (Andre Klapper)
    * Updated Karbi translation (J T)
    * Updated Korean translation (Changwoo Ryu)
    * Updated French translation (Julien Humbert)
    * Updated Polish translation (Piotr Drąg)

Overview of changes in gnome-calculator 3.35.90
    * Updated Greek translation (Efstathios Iosifidis)
    * Updated Indonesian translation (Sucipto)
    * Drop padding around the display !40 (Adrien Plazas)
    * Updated Keyboard Shortcuts (Sabri Ünal)
    * Handle Escape and Enter correctly with completion #144 (Robert Roth)
    * Updated Spanish translation (Daniel Mustieles García)
    * Updated Slovak translation (Dušan Kazik)
    * Added F10 for primary menu shortcut #148 (Robert Roth)
    * Updated Catalan translation (Jordi Mas)
    * Updated Friulian translation (Fabio Tomat)
    * Updated app icon !43 (Tobias Bernard)
    * Updated Malay translation (Umarzuki Mochlis)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Added Rack Units to the conversions !37 (Léo Gillot-Lamure)
    * Updated Karbi translation (J T)
    * Fixed freeze on calculating atan(+/-i) #139 (Robert Roth)
    * Fixed mode shortcuts by removing blocking mnemonics #138 (Robert Roth)
    * Implemented result history browsing using alt left/right #129 (Robert Roth)
    * Added translator comments for possible modes as command line arguments !38 (Rafael Fontenelle)

Overview of changes in gnome-calculator 3.35.3
    * Updated Chinese (Taiwan) translation (Yi-Jyun Pan)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Swedish translation (Anders Jonsson)
    * Help updates (Andre Klapper)
    * Updated Galician translation (Fran Diéguez)

Overview of changes in gnome-calculator 3.35.2
    * Updated Italian translation (Milo Casagrande)
    * Updated Catalan translation (Jordi Mas)
    * Updated Japanese translation (Ryuta Fujii)
    * Updated Danish translation (Ask Hjorth Larsen)
    * List possible modes in commandline help #112 (Robert Roth)
    * Add square feet unit #132 (Robert Roth)
    * Base conversion display selectable #123 (Robert Roth)
    * Created nightly icon (Jakub Steiner)
    * Snap build updates (Heather Ellsworth)
    * Updated Spanish translation (Daniel Mustieles)
    * GCalc library code fixes (Rico Tzschichholz, Daniel Espinoza Ortiz)
    * Update required meson version (Diego Escalante Urrelo)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Persian translation (Danial Behzadi)
    * Adapt code to changed gtk+-3.0 bindings (Rico Tzschichholz)
    * Added GCi libary and tests for controllers for widgets (Daniel Espinoza Ortiz)
    * Updated Czech translation (Marek Černocký)
    * Updated Indonesian translation (Andika Triwidada)
    * Solve on = key if input isq not a variable name #22 (Alberto González Palomo)

Overview of changes in gnome-calculator 3.34.0
    * Updated Finnish translation (Jiri Grönroos)

Overview of changes in gnome-calculator 3.33.92
    * Updated Czech translation (Marek Černocký)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated German translation (Tim Sabsch)
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Polish translation (Piotr Drąg)
    * Updated Persian translation (Danial Behzadi)
    * Updated Serbian translation (Марко М. Костић (Marko M. Kostić))
    * Updated Latvian translation (Rūdolfs Mazurs)
    * Updated Galician translation (Fran Diéguez)
    * Updated British English translation (Zander)
    * Updated Turkish translation (Ahmet Elgün)
    * Updated Japanese translation (Ryuta Fujii)
    * Updated Catalan translation (Jordi Mas)
    * Updated French translation (Charles Monzat)
    * Updated Korean translation (Changwoo Ryu)
    * README updates (Roger)

Overview of changes in gnome-calculator 3.33.90
    * Updated Dutch translation (Nathan Follens)
    * Updated Croatian translation (Goran Vidović)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Karbi translation (J T)
    * Updated Basque translation (Asier Sarasua Garmendia)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Catalan translation (Jordi Mas)
    * Updated Romanian translation (Florentina Mușat)
    * Flatpak build cleanup (Jordan Petridis)
    * Debug messages cleanup (Daniel Espinosa Ortiz)

Overview of changes in gnome-calculator 3.33.3
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Hungarian translation (Balázs Úr)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Greek translation (Efstathios Iosifidis)
    * calculator library build fixes (Daniel Espinosa Ortiz)
    * CI build fixes (Ken VanDine)
    * Added mnemonics for primary menu items #113 (Robert Roth)
    * Dropped leading zeros octal prefix #114, #109, #110 (Robert Roth)

Overview of changes in gnome-calculator 3.33.2
    * Separated calculator library !19 (Daniel Espinosa Ortiz)
    * Ensure icon is available for shell (Ken VanDine)
    * Updated French translation (Charles Monzat)
    * Updated Catalan translation (Jordi Mas)
    * Support entering left/right shift with keyboard #98 (Robert Roth)
    * Updated Croatian translation (Goran Vidović)
    * Fixed CFA conversion rate #102 (Robert Roth)
    * Remove copy icon from search provider results #103 (Robert Roth)
    * Do not assume octal base for binary numbers #101 (Robert Roth)
    * Show thousands separator in unit converter #102 (Robert Roth)
    * Use currency name instead of display name for conversion #106 (Robert Roth)
    * Quit warns and closes all windows #51 (Robert Roth)
    * Avoid normalizing the equation twice in search #104 (Pascal Nowack)
    * Ignore keypresses while calculating results #47 (Robert Roth)
    * Only allow one decimal point in numbers #5 (Robert Roth)
    * Application icon updated in help (Andre Klapper)
    * Updated Danish translation (Ask Hjorth Larsen)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Basque translation (Asier Sarasua Garmendia)
    * Updated Chinese translation (Dingzhong Chen)

Overview of changes in gnome-calculator 3.32.0
    * Updated Esperanto translation (Kristjan Esperanto)
    * Updated Korean translation (Changwoo Ryu)
    * Updated Slovenian translation (Matej Urbančič)
    * Snap build update (Ken VanDine)

Overview of changes in gnome-calculator 3.31.92
    * Updated Turkish translation (Emin Tufan)
    * Updated French translation (Guillaume Bernard)
    * Updated Dutch translation (Nathan Follens)
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Italian translation (Milo Casagrande)
    * Updated Russian translation (Stas Solovey)
    * Updated Serbian translation (Марко Костић)
    * Updated Friulian translation (Fabio Tomat)
    * Updated German translation (Tim Sabsch)
    * Updated Vietnamese translation (Trần Ngọc Quân)
    * Updated Latvian translation (Rūdolfs Mazurs)
    * Updated Finnish translation (Jiri Grönroos)

Overview of changes in gnome-calculator 3.31.91
    * Updated Danish translation (Alan Mortensen)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Catalan translation (Jordi Mas)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Czech translation (Marek Cernocky)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Japanese translation (Ryuta Fujii)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Romanian translation (Daniel Șerbănescu)
    * Updated Galician translation (Fran Diéguez)
    * Updated Turkish translation (Emin Tufan)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Polish translation ()
    * Updated Hungarian translation (Balázs Úr)
    * Additional syntax for unit conversion (Tuomas Mikkola)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Galician translation (Fran Diéguez)

Overview of changes in gnome-calculator 3.31.90
    * Updated Friulian translation (Fabio Tomat)
    * Updated Greek translation (Tom Tryfonidis)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Japanese translation (Ryuta Fujii)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Hungarian translation (Balázs Úr)
    * Updated Czech translation (Daniel Rusek)
    * Updated Catalan translation (Jordi Maas)
    * snap build fixes (Jeremy Bicha)
    * Exchange rate update interval preference #58 (Robert Roth)
    * Updated and fixed appdata !20 (Harald H.)
    * Fix for digit transformed into ^ on double * #91 (Robert Roth)
    * Accept comma and decimal point as decimal separator #86 (Robert Roth)

Overview of changes in gnome-calculator 3.31.3
    * Added Alt+T shortcut for keyboard mode #81 (Robert Roth)
    * Use US prefix for non-imperial units #84 (Robert Roth)
    * Updated French translation (Guillaume Bernard)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Esperantoo translation (Kristjan Mustieles)

Overview of changes in gnome-calculator 3.31.2
    * Readded missing accelerators (Robert Roth)
    * Use GLib.List.deep_copy() to fix argument type mismatch (Rico Tzschichholz)
    * Write all settings at once using delayed backend (Tomasz Miasko)
    * Updated Czech translation (Marek Cernocky)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Slovak translation (Dušan Kazik)

Overview of changes in gnome-calculator 3.31.1
    * Search provider improvements (Marco Trevisan)
    * Copy to clipboard from search result (Marco Trevisan)
    * Conversion UI improvements #72 (Robert Roth)
    * Functions and variables popover HIG fixes #76 (Robert Roth)
    * Port to GtkSourceView 4 (Christian Hergert)
    * Remove appmenu (Robert Ancell)
    * Application icon and symbolic icon update (Jakub Steiner, Sam Hewitt)
    * Fixed new window shell action (Florian Müllner)
    * Mark 'in' conversion keyword as translatable #73 (Robert Roth)
    * Support for integer decimals in different bases #36 (Marco Trevisan)
    * Mark some untranslatable texts as translatable.
    * Use application icon in about and window icon instead of generic icon
    * Updated Polish translation (Piotr Drąg)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Turkish translation (Emin Tufan Çetin)
    * Updated Czech translation (Marek Cernocky)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Hungarian translation (Balázs Meskó)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Romanian translation (Daniel Șerbănescu)
    * Updated Russian translation (Stas Solovey)
    * Updated Italian translation (Janvitus)
    * Updated German translation (Mario Blättermann)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Catalan translation (Jordi Mas)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Danish translation (Ask Hjorth Larsen)
    * Updated Lithuanian translation (Aurimas Černius)

Overview of changes in gnome-calculator 3.30.0
    * Updated Czech translation (Marek Cernocky)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Dutch translation (Hannie Dumoleyn)
    * Updated Korean translation (Changwoo Ryu, Seong-ho Cho)
    * Updated Galician translation (Fran Diéguez)
    * Updated Vietnamese translation (Trần Ngọc Quân)
    * Updated Hungarian translation (Balázs Meskó)
    * Updated Italian translation (Gianvito Cavasoli)
    * Updated Latvian translation (Rūdolfs Mazurs)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Croatian translations (Goran Vidović)
    * Updated Danish translation (Ask Hjorth Larsen)

Overview of changes in gnome-calculator 3.29.91
    * Updated Polish translation (Piotr Drąg)
    * Updated Brazilian Portuguese translation (Bruno Lopes da Silva)
    * Updated snap to build with meson (Ken VanDine)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated German translation (Mario Blättermann)
    * Updated French tanslation (Alexandre Franke)
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Chinese (Taiwan) translation (Yi-Jyun Pan)
    * Updated Turkish translation (Emin Tufan Çetin)
    * Updated Italian translation (Fernando Governatore)

Overview of changes in gnome-calculator 3.29.90
    * Fixed flatpak build issues (Robert Roth)
    * Fixed naming of Turkish lira currency (Çağatay Yiğit Şahin)
    * Added OARS metadata (Nick Richards)
    * CI configuration (Robert Ancell)
    * Updated Spanish translation (Daniel Musteles)
    * Updated Chinese (Taiwan) translation (Yi-Jyun Pan)
    * Updated Romanian translation (Daniel Șerbănescu)
    * Updated Catalan translation (Jordi Mas)
    * Updated Brazilian Portuguese translation (Bruno Lopes da Silva)

Overview of changes in gnome-calculator 3.29.3
    * Fix currencies not loading gitlab#66 (Robert Roth)
    * Use Mass instead of Weight for mass units gitlab#67 (Robert Roth)
    * Dropped autotools in favour of meson for build (Robert Roth)
    * Updated MPC and MPFR to latest release (Arnaud Bonatti)
    * Updated Chinese (China) translation (Dingzhong Chen)
    * Updated Romanian translation (Daniel Șerbănescu)
    * Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
    * Updated Catalan translation (Jordi Mas)
    * Updated Croatian translations (Goran Vidović)
    * Updated Slovak translation (Dušan Kazik)
    * Updated Russian translation (Stas Solovey)

Overview of changes in gnome-calculator 3.28.0
    * Updated German translation (Tim Sabsch)
    * Updated Czech translation (Marek Černocký)
    * Updated Scottish Gaelic translation (GunChleoc)
    * Updated French translation (Guillaume Bernard)
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Hungarian translation (Gábor Kelemen)
    * Updated Danish translation (Ask Hjorth Larsen)
	* Updated Italian translation (Milo Casagrande)
    * Updated Croatian translations (gogo)
    * Updated Chinese (Taiwan) translation (Chao Hsiung Liao)
    * Updated Catalan translation (Jordi Mas)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Serbian translation (Марко Костић)
    * Updated Serbian Latin translation (Милош Поповић)
    * Updated Swedish translation (Anders Jonsson)

Overview of changes in gnome-calculator 3.27.92
    * Fixed icon sizes. bgo#793263 (Robert Roth)
    * Meson build fixes. bgo #793215 (Robert Roth)
    * Calculator display black box fixes. bgo#793157 (Robert Roth)
    * Updated Polish translation (Piotr Drąg)
    * Updated Turkish translation (Emin Tufan Çetin, Çağrı Dolaz)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle, Isaac F. Ferreira Filho)
    * Updated Galician translation (Fran Dieguez)
    * Updated French translation (Guillaume Bernard)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Czech translation (Marek Cernocky)
    * Updated Hungarian translation (Balázs Úr)
    * Updated Korean translation (Yeol Park)
    * Updated Latvian translation (Rūdolfs Mazurs)
    * Updated Dutch translation (Justin van Steijn)

Overview of changes in gnome-calculator 3.27.90
    * Add snap packaging (Ken VanDine)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Serbian translation (Марко Костић)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated German translation (Christian Kirbach)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Polish translation (Piotr Drąg)
    * Updated Hungarian translation (Balázs Úr)
    * Update Catalan translation (Gil Forcada)
    * Changed clear symbolic icon with C. bgo#792844 (Robert Roth)
    * Made the calculator window resizable. bgo#756920 (Robert Roth)
    * Sane required width for history view. bgo#788395 (Robert Roth)
    * Support for gcalccmd command-line arguments. bgo#788872 (Robert Roth)
    * Ellipsize equation in search provider instead of result. bgo#759876 (Robert Roth)
    * Avoid scrollbar overlapping equation. bgo#770246 (Robert Roth)
    * Return with failure in case of precision error. bgo#749336 (Robert Roth)
    * Added bried explanation of functions. bgo#748897 (David Faour)
    * Changed overflow error message. bgo#745708 (Robert Roth)
    * Added keyboard shortcut to clear history. bgo#792814 (Robert Roth)
    * Added meson build files. bgo#783062 (Robert Roth)
    * Deprecated calls replaced (Robert Roth)
    * Rename icon directive in flatpak to have icon on flathub (Robert Roth)
    * Updated Finnish translation (Jiri Grönroos)
    * Check the locale before using it. bgo##793098 (Robert Roth)
    * Updated Chinese (Taiwan) translation (byStarTW)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Fixed black rectangle on equation entry scrolling. bgo#793157 (Robert Roth)
    * Updated German translation (Mario Blättermann)
    * Updated Friulian translation (Fabio Tomat)

Overview of changes in gnome-calculator 3.27.2
    * Fix cosh and sinh buttons. bgo#788409 (Robert Roth)
    * Updated Catalan (Valencia) translation (Xavi Ivars)
    * Updated Chinese translation (Shuyu Liu, ksqsf)
    * Ship app icon with Calculator (Jakub Steiner)
    * Added stone unit. bgo#789333 (Robert Roth)
    * Replaced ln button with log2 in programming mode. bgo#789152 (Robert Roth)
    * Use _ instead of ans for last result. bgo#785107 (Robert Roth)
    * Fixed critical warning after first operation. bgo#785108 (Robert Roth)
    * Updated Czech translation (Marek Cernocky)
    * Updated German translation (Christian Kirbach)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Norwegian bokmål translation. (Kjartan Maraas)

Overview of changes in gnome-calculator 3.26.0
    * Update Persian translation (Arash Mousavi)
    * Fix gettext-domain (Piotr Drąg)
    * Updated Latvian translation (Rūdolfs Mazurs)
	* Updated Russian translation (Stas Solovey)
    * Updated Dutch translation (hanniedu)
    * Updated Punjabi translation (A S Alam)
    * Updated Danish translation (Ask Hjorth Larsen)
    * Updated Bulgarian translation (Lyubomir Vasilev)
    * Updated Catalan translation (Jordi Mas)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Basque translation (Inaki Larranaga Murgoitio)

Overview of changes in gnome-calculator 3.25.92
    * Updated Lithuanian translation (Aurimas Černius)
    * Updated Danish translation (Ask Hjorth Larsen)
    * Updated Latvian translation (Rūdolfs Mazurs)
	* Updated Italian translation (Milo Casagrande)
    * Updated Dutch translation (hanniedu)
    * Updated Chinese (Taiwan) translation (Cheng-Chia Tseng)
    * Updated Bulgarian translation (Alexander Shopov)
    * Updated Korean translation (Changwoo Ryu)
    * Updated Slovak translation (Dušan Kazik)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Hungarian translation (Balázs Úr)

Overview of changes in gnome-calculator 3.25.91
    * Updated Galician translation (Fran Dieguez)
    * Updated Slovenian translation (Matej Urbančič)
    * Updated Turkish translation (Çağatay Yiğit Şahin)
    * Updated Serbian translation (Мирослав Николић)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated French translation (Claude Paroz)

Overview of changes in gnome-calculator 3.25.90
    * Fixed incorrect bit toggle buttons. bgo#785850 (Robert Roth)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Czech translation (Marek Cernocky)
    * Re-enable Portuguese help translation. bgo#784427 (Piotr Drąg)
    * Updated Arabic translation (Khaled Hosny)
    * Stop using deprecated calls (Robert Roth)
    * Update Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Spanish translation (Daniel Musteles)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Vietnamese translation (Trần Ngọc Quân)
    * Add Polish help translation (Piotr Drąg)
    * Updated Hungarian translation (Balázs Meskó)
    * Fix an XML tag in Portuguese help translation (Piotr Drąg)
    * Fixed appdata validation. bgo#784033 (Robert Roth)
    * Fixed appdata.xml installation. bgo#783986 (Dominique Leuenberger)

Overview of changes in gnome-calculator 3.25.3
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Catalan translation (Jordi Mas)
    * Updated Portuguese translation (Piotr Drąg)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Friulian translation (Fabio Tomat)
    * Stop using intltool (Robert Ancell)
    * Fix XML tags in Portuguese help translation (Piotr Drąg)
    * Move resources into src directory (Robert Ancell)

Overview of changes in gnome-calculator 3.25.2
    * Updated Latvian translation (Rūdolfs Mazurs)
    * Updated Portuguese translation (Tiago Santos)
    * Updated Catalan translation (Jordi Mas)
    * Update parser to allow complex conversions (PioneerAxon)

Overview of changes in gnome-calculator 3.24.0
    * Updated Korean translation (Changwoo Ryu)
    * Updated Russian translation (Yuri Myasoedov)
    * Updated Latvian translation (Rūdolfs Mazurs)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Ukrainian translation (Daniel Korostil)
    * Updated Polish translation (Piotr Drąg)    
    * Updated Friulian translation (Fabio Tomat)

Overview of changes in gnome-calculator 3.23.92
    * Added flatpak manifest (Matthias Clasen)
    * Updated Hungarian translation (Gábor Kelemen)
    * Updated German translation (Christian Kirbach)
    * Updated Slovak translation (Dušan Kazik)
    * Updated Galician translation (Fran Dieguez)
    * Updated Lithuanian translation (Aurimas Černius)    
    * Updated Vietnamese translation (	Trần Ngọc Quân)
    * Updated Friulian translation 	(Fabio Tomat)
    * Updated French translation (Guillaume Bernard)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Korean translation (Seong-ho Cho)
    * Updated Indonesion translation (Kukuh Syafaat)
    * Updated Catalan translation (Jordi Mas)
    * Updated Basque translation (Inaki Larranaga Murgoitio)
    * Updated Danish translation (Ask Hjorth Larsen)
    * Updated Chinese (Taiwan) translation (Chao Hsiung Liao)

Overview of changes in gnome-calculator 3.23.91
    * Updated Danish translation (Ask Hjorth Larsen)
    * Updated Basque translation (Inaki Larranaga Murgoitio)
    * Updated Norwegian bokmål translation (Kjartan Maraas)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)
    * Updated Finnish translation (Jiri Grönroos)
    * Updated Friulian translation 	(Fabio Tomat)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Serbian translation (Мирослав Николић)
    * Updated Hungarian translation (Balázs Meskó)
    * Updated Spanish translation (Daniel Mustieles)

Overview of changes in gnome-calculator 3.23.90
    * Fixed unit conversion from negative constant numbers bgo#778311 (PioneerAxon)
    * Better error highlighting (PioneerAxon)
    * Fix null token causing segfault (PioneerAxon)
    * Set application id bgo#778228 (Robert Roth)
    * Documentation for the history view bgo#681935 (Sanket Dasgupta)
    * Added Desktop Publishing Point length unit bgo#778449 (Robert Roth)
    * Use angle units from settings in search provider bgo#778274 (Robert Roth)
    * Fixed incorrect value for ans in variable popup bgo#778242 (Robert Roth)
    * Updated Indonesian translation (Kukuh Syafaat)
    * Updated Catalan translation (Christian Kirbach)
    * Updated German translation (Mario Blättermann)
    * Updated Polish translation (Piotr Drąg)
    * Updated Slovak translation (Dušan Kazik)
    * Updated Brazilian Portuguese translation (Rafael Fontenelle)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Czech translation (Marek Černocký)
    * Updated Norwegian bokmål translation (Kjartan Maraas)

Overview of changes in gnome-calculator 3.23.4
    * (null) error message bgo#773688 (PioneerAxon)
    * Zeroth root of numbers is undefined bgo#775759 (Robert Roth)
    * Updated Hungarian translation (Balázs Meskó)
    * Updated Spanish translation (Daniel Mustieles)
    * Updated Czech translation (Marek Černocký)
    * Updated Portuguese translation (Tiago Santos)

Overview of changes in gnome-calculator 3.23.3
    * Flatpak packaging fixes (Mathieu Bridon, Robert Roth)
    * Updated Hungarian translation (Balázs Meskó)
    * Added additional temperature unit shortcuts for conversion. bgo#775300 (Robert Roth)
    * Use proper chain-up syntax (Rico Tzschichholz)
    * Updated Kazakh translation (Baurzhan Muftakhidinov)

Overview of changes in gnome-calculator 3.23.2
    * Update German translation (Mario Blättermann)
    * Update Friulian translation (Fabio Tomat)
    * Updated Czech translation (Marek Cernocky)
    * Remember window position (Bahodir Mansurov)
    * Use Unicode in translatable strings (Piotr Drąg)
    * Update Friulian translation (Fabio Tomat)
    * Updated Lithuanian translation (Aurimas Černius)
    * Update Spanish translation (Daniel Mustieles)
    * Update Hungarian translation (Gábor Kelemen)
    * Update German translation (Mario Blättermann)
    * Updated Czech translation (Marek Černocký)
    * Use GtkPopovers for memory and function buttons. bgo#748742 (Niels De Graef)
    * Update Friulian translation (Fabio Tomat)
    * Updated Czech translation	(Marek Černocký)

Overview of changes in gnome-calculator 3.23.1
    * Migrate to GtkGrid from deprecated GtkTable API bgo#767394 (Niels de Graef)
    * Use localized window title bgo#768432 (Ron Yorston)
    * Preferences dialog update bgo#746599 (Robert Roth)
    * Add option to start window in mode bgo#748135 (Moo)
    * Fix help typo bgo#748894 (lunchboxav)
    * Fix reusing items from history bgo#766155 (Antonio Ospite)
    * Use MPC for complex numbers bgo#759439 (Philip Wood)
    * Fix bit panel and base label when base has changed bgo#732685 (Antonio Ospite)
    * Ctrl+Backspace should delete only the last number bgo#725114 (Robert Roth)
    * Use Actions for buttons bgo#771635 (Niels de Graef)
    * Add round, floor, ceil, sgn to docs bgo#748895 (Robert Roth)
    * Rename Pound Sterling to British Pound Sterling bgo#664366 (Robert Roth)
    * Fix possible errors on currency conversion bgo#750672 (Robert Roth)
    * Add new window appmenu entry bgo#724478 (Robert Roth)
    * [l10n] update German translations (Flo H)
    * Fix markup error in about bgo#772990 (Robert Roth)
    * Add accels for changing mode bgo#740503 (Robert Roth)
    * History view styling bgo#743499 (Niels de Graef, Robert Roth)
    * Window layout fixes bgo#743538 (Robert Roth)
    * Remov unnecessary scrolledwindow bgo#768656 (Robert Roth)
    * Add keyboard shortcuts window bgo#772735 (Robert Roth)
    * Fix first expression with parentheses bgo#700617 (Robert Roth)
    * Add shortcut to close current window bgo#755398 (Robert Roth)
    * Fix conversion unit change  bgo#748732 (Robert Roth)
    * Fixed conversion user interface for LTR bgo#711587 (Robert Roth)

Overview of changes in gnome-calculator 3.22.1
    * Headerbar layout fixes (djb)
    * Use dim labels for bit markers in Programming mode (djb)
    * Fixed history scrolling (Robert Roth)
    * Minor programming errors fixed (Tobias Mueller)
    * Vertically center headerbar button content (Lapo Calamandrei)
    * Updated styles for gtk+ 3.20 (Exalm)
    * [l10n] update Croatian translations (gogo)

Overview of changes in gnome-calculator 3.22.0
    * Fix base change for log, fixes #748729 (Robert Roth)
    * Math buttons: fix a (potential) crash loading financial dialogs (Tobias Mueller)
    * Updated Dutch translation master (Nathan Follens)
    * [l10n] update Persian translations (Arash Mousavi)

Overview of changes in gnome-calculator 3.21.92
    * Updated Thai translation (Akom Chotiphantawanon)
    * Updated Polish translation (Piotr Drąg)
    * Update British English translation (David King)
    * Disable pt translation of the manual (Emmanuele Bassi)
    * Updated Portuguese translation (Tiago Santos)
    * fix the build (Matthias Clasen)
    * Added Portuguese translation (Tiago Santos)
    * Updated Polish translation (Piotr Drąg)

Overview of changes in gnome-calculator 3.21.90
    * Updated Hebrew translation (Yosef Or Boczko)
    * Added 'period' keypress when the delete key on the numpad is pressed. (Myridium)
    * Updated Spanish translation (Daniel Mustieles)
    * lib: prevents segfault when elements of division to zero have null assigned tokens (fixes #769364) (Alberto Ruiz)
    * Add Language headers to po files (Piotr Drąg)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Indonesian translation (cherry picked from commit da3a093148c5f9340c6566fe35d5a38b5aa04e6b) (Andika Triwidada)
    * Updated Occitan translation (Cédric Valmary)

Overview of changes in gnome-calculator 3.21.2
    * Updated Norwegian bokmål translation. (Kjartan Maraas)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Friulian translation (Fabio Tomat)
    * Updated Friulian translation (Fabio Tomat)
    * Added Friulian translation (Fabio Tomat)
    * Distribute history-view.ui (Robert Ancell)
    * Distribute history-entry.ui (Robert Ancell)
    * Updated Occitan translation (Cédric Valmary)

Overview of changes in gnome-calculator 3.20.1
    * Fix: precedence of root operator (Alexis Poirier and Alberto Ruiz)
    * Update: Translation (Translation team)

Overview of changes in gnome-calculator 3.20.0
    * Update: Translation (Translation team)

Overview of changes in gnome-calculator 3.19.91
    * Fix: Check for null on variables ought to autocomplete (fixes #762426) (Alberto Ruiz)
    * Updated Czech translation (Marek Černocký)
    * Updated Catalan translation (Jordi Mas)
    * Updated Galician translations (Fran Dieguez)
    * Updated Swedish translation (Anders Jonsson)
    * Updated Serbian translation (Мирослав Николић)
    * Updated Brazilian Portuguese translation (Fábio Nogueira)

Overview of changes in gnome-calculator 3.19.90
    * New: Upgrade license for all source files to GPLv3+ (Michael Catanzaro)
    * New: Use Soup instead of GVFS to download the IMF/ECB currency data (Alberto Ruiz)
    * Fix: Silence a compiler warning (Michael Catanzaro)
    * Fix: Remove Lithuanian litas from currency list (Michael Catanzaro)
    * Fix: Fix use of GtkStyleContext for GTK+ 3.20 (Michael Catanzaro)
    * Fix: Clarify license on number.vala (Michael Catanzaro)
    * Fix: Clarify license on mpfr.vapi (Michael Catanzaro)
    * Fix: Installed tests: Update expectations (Matthias Clasen)
    * Fix: Set the accessible name on the mode chooser (Matthias Clasen)
    * Fix: Do not reset second currency on first currency change, fixes #260166 (Robert Roth)
    * Fix: Fix Chinese Yuan symbol, fixes #761075 (Alberto Ruiz)
    * Fix: Add a missing tag to the AppData file (Richard Hughes)
    * Update: Upgrade appdata (Michael Catanzaro)
    * Update: Translation (Translation team)

Overview of changes in gnome-calculator 3.19.4
    * New: Migrate MathConverter, MathWindow, HistoryView and HistoryEntry to GtkBuilder template (Alberto Ruiz)
    * Fix: Remove unused -D defines from Makefile.am and configure.vapi for both src/ and lib/ (Alberto Ruiz)
    * Fix: Check if base exponent are complex for xpowy() method (Gerlof Fokkema)
    * Fix: Prevent infinte loop on some operations with imaginary numbers, bug #757657 (Kyle Green)
    * Fix: e^(-0.5) returned the wrong value, bug #756960  (Felix Pelletier)
    * Fix: Missing mnemonic bond in Gross Profit Margin dialog (Martin Simon)
    * Fix: Use load_from_resource in the Gtk.CssProvider instead of opening the file manually (Alberto Ruiz)
    * Fix: Use builddir for gresource.xml to satisfy Vala/autotools behaviour, bug #760679 (Michael Catanzaro)
    * Fix: Rename gnome-calculator.doap name tag to GNOME Calculator instead of gnome-calculator (Alberto Ruiz)
    * Fix: Use AM_DISTCHECK_CONFIGURE_FLAGS (Michael Catanzaro)
    * Fix: MathDisplay grabs focus after being shown, bug #748743 (Elita.A.A.Lobo)
    * Fix: math-equation: "No history" message should disappear when appropriate, bug #759943 (Michael Catanzaro)
    * Update : Translation (Translation team)

Overview of changes in gnome-calculator 3.19.2
    * Update : Translation (Translation team)

Overview of changes in gnome-calculator 3.19.1
    * Fix : Explicitly link required libraries for gnome-calculator and gcalcmd binaries (Andreas Henriksson)
    * Update : Translation (Translation team)

Overview of changes in gnome-calculator 3.18.0
    * Fix : SYD function was returning the wrong value (Matthias Clasen)
    * Fix : Fix dialogs sizing for financial functions (Matthias Clasen)
    * Update : Translation (Translation team)

Overview of changes in gnome-calculator 3.17.92
    * Update : Alberto Ruiz as new maintainer in doap file (Alberto Ruiz)
    * Update : Build System improvements (Michael Catanzaro, Robert Ancell)
    * Update : Portuguese, Polish and Chinese (Taiwan) translations (Translation team)

Overview of changes in gnome-calculator 3.17.3
    * Update : Stop using gnome-common (Robert Ancell)
    * Fix : Remove incorrect assertion in search provider (Michael Catanzaro)

Overview of changes in gnome-calculator 3.17.2
    * Update : Split many files into an internal convenience library (Michael Catanzaro)
    * Update : Remove workaround for bug #737222 (Michael Catanzaro)
    * Update : Translations (Translation team)
    * Fix : Search provider should discard child stdout/stderr (Michael Catanzaro)
    * Fix : Syntax error in desktop file keywords Bosnian translation (Kalev Lember)

Overview of changes in gnome-calculator 3.16.0
    * Update : Translations (Translation team)

Overview of changes in gnome-calculator 3.15.91
    * New : Remove red color from clear button (Allan Day)
    * Update : Powers page in documentation (Sebastian Rasmussen, Ekaterina Gerasimova)
    * Update : Translations (Translation team)

Overview of changes in gnome-calculator 3.15.4
    * New : Keyboard mode (Elita Lobo)
    * New : MPFR back-end (Daniel Renninghoff)
    * New : Digital Storage conversion (PioneerAxon)
    * Update : Switch to GPLv3+ license (Michael Catanzaro)
    * Update : Case-insensitive conversion units (PioneerAxon)
    * Update : Don't copy thousand separators to clipboard (PioneerAxon)
    * Update : Translations (Translation team)
    * Fix : Use HTTPS for downloading exchange rates (Michael Catanzaro)
    * Fix : Repeated entries in history view (Elita Lobo)
    * Fix : Padding in UI buttons (Trinh Anh Ngoc)
    * Fix : Style history view boarder (Trinh Anh Ngoc)
    * Fix : Sort currencies based on locale (Lubomír Sedlář)
    * Fix : Deprecated use-stock property (David King)
    * Fix : Download missing exchange rates on first launch (PioneerAxon)
    * Fix : Missing buildtime dependency (Emmanuele Bassi)
    * Fix : gtksourceview binding change (Michael Catanzaro)

Overview of changes in gnome-calculator 3.15.1
    * New : Colored buttons (Elita Lobo)
    * New : History view (Elita Lobo)
    * Update : Update to latest GtkSourceView API (Yosef Or Boczko, Evan Nemerson)
    * Update : Support upcoming Vala 0.27 (Rico Tzschichholz)
    * Update : Increase search provider timeout (Michael Catanzaro)
    * Update : Translations (Translation team)
    * Update : Miscellaneous code improvements (Arnaud Bonatti, Michael Catanzaro)
    * Fix : Misordered buttons in programming mode (Abhinav)
    * Fix : Search provider should not match plain numbers (Marcus Lundblad)
    * Fix : Spurious warnings from search provider (Michael Catanzaro)
    * Fix : Crash after thousands separator is inserted (Michael Catanzaro)

Overview of changes in gnome-calculator 3.14.0
    * Update : Translations (Translation team)

Overview of changes in gnome-calculator 3.13.92
    * Update : Translations (Translation team)
    * Fix : Documentation (Documentation team)

Overview of changes in gnome-calculator 3.13.90
    * Update : Translations (Translation team)
    * Update : doap file (Piotr Drąg, Olav Vitters)
    * Fix : test install (Vadim Rutkovsky)

Overview of changes in gnome-calculator 3.13.3
    * New : Calculator search provider (Michael Catanzaro)
    * New : Tests in release tarball (Vadim Rutkovsky)
    * New : Localized radix character from command-line (Michael Catanzaro)
    * Update : Translations (Translation team)
    * Fix : Restore previous answer on undo (Rodolphe PELLOUX-PRAYER)
    * Fix : Segfault on undo beyond history (Elita Lobo)
    * Fix : Malformed expression error on base change (PioneerAxon)
    * Fix : Critical warnings when entering Financial Mode (Michael Catanzaro)
    * Fix : Fix gcalccmd crash (PioneerAxon)
    * Fix : gcalccmd now exits with new-line (PioneerAxon)
    * Fix : Reset text in new function pop-up (ZZroman)
    * Fix : Removed redundent calls to notify_property() (Michael Catanzaro)
    * Fix : Use layout based decimal saperator on numberpad (Pierre Ossman)
    * Fix : Appdata : add default screenshot (Richard Hughes)
    * Fix : Don't create fundamental types (Michael Catanzaro)
    * Fix : Typo in step definition filelist (Vadim Rutkovsky)
    * Removed : Latvian lats from default currencies (Michael Catanzaro)

Overview of changes in gnome-calculator 3.13.2
    * New : Tests (Vadim Rutkovsky)
    * New : Use popover to change mode (Michael Catanzaro)
    * New : Use headerbar for preference dialog (Michael Catanzaro)
    * Update : GTK+ and vala dependencies (Michael Catanzaro)
    * Update : Modernize option parsing (Paolo Borelli)
    * Update : URLs in doap file (Piotr Drag)
    * Update : License fields in appdata (Michael Catanzaro)
    * Update : Translations (Translation team)
    * Fix : Ignore libtool files (Michael Catanzaro)
    * Fix : Failing test-case due to updated libc (PioneerAxon)
    * Fix : Crash due to non-validated return iterator (Andreas Henriksson)
    * Fix : Close popover after changing mode (Arnaud Bonatti)
    * Fix : Focus input field after mode change (Michael Catanzaro)
    * Fix : Mark image not translatable (Gabor Kelemen)
    * Fix : Crash on sub/superscript with trailing space (Robert Ancell)

Overview of changes in gnome-calculator 3.12.0
    * Update : Translations (Translation team)

Overview of changes in gnome-calculator 3.11.92
    * Update : Translations (Translation team)
    * Fix : Lost text focus on click (Simen Heggestøyl)

Overview of changes in gnome-calculator 3.11.91
    * New : Use git.mk (Michael Catanzaro)
    * Update : Rename desktop file (Michael Catanzaro)
    * Update : Translations (Translation team)
    * Fix : Makefile (Michael Catanzaro)
    * Fix : Precision loss (Daniel Renninghoff)
    * Fix : 0^0 should be indeterminate (Elita Lobo)
    * Fix : Precision error for ln () calculations (Daniel Renninghoff)

Overview of changes in gnome-calculator 3.11.90
    * Update : Translations (Translation team)
    * Fix : Window specific mode and actions (Michael Catanzaro)
    * Fix : About dialog (Michael Catanzaro)

Overview of changes in gnome-calculator 3.11.5
    * Update : Translations (Translation team)
    * Update : Documentation (PioneerAxon, Baptiste Mille-Mathias)
    * Fix : Appdata (Michael Catanzaro)

Overview of changes in gnome-calculator 3.11.4
    * Update : Translations (Translations team)
    * Fix : Add tooltip to custom functions (Garima Joshi)
    * Fix : Bug in representation mode for non-decimal answers (PioneerAxon)

Overview of changes in gnome-calculator 3.11.3
    * New : Custom functions (Garima Joshi)
    * New : Support for factorials of positive decimal numbers (Rashid Khan)
    * Update : Depend on newer versions of GTK, Vala (Michael Catanzaro)
    * Update : Translations
    * Update : Use HeaderBar (Michael Catanzaro)
    * Fix : Stop using stock icons (Robert Ancell)
    * Fix : Compilation warnings (Robert Ancell)
    * Fix : Title in basic mode (Michael Catanzaro)
    * Fix : Typos (Christian Kirbach, Seán de Búrca)
    * Fix : Newline text wrap bug (Kevin THIERRY)
    * Fix : "Malformed expression" stays forever bug (Rashid Khan)
    * Fix : AppData (Richard Hughes)
    * Fix : Misc cleanup (Michael Catanzaro, Olav Vitters)

Overview of changes in gnome-calculator 3.10.0
    * Update translations

Overview of changes in gnome-calculator 3.9.92
    * Update translations
    * Add Appdata

Overview of changes in gnome-calculator 3.9.90
    * Fix precedence related bugs
    * Fix app name in about dialog
    * Add logo to help index
    * Update man page
    * Fix desktop file (see bug #699073)
    * Update translations

Overview of changes in gnome-calculator 3.9.4
    * Fix TextBufferIterator bug in base conversion
    * Update Catalan Documentation

Overview of changes in gnome-calculator 3.9.3
    * Update translation

Overview of changes in gnome-calculator 3.9.2
    * Improve integer exponentiation & factorization
    * Fix modular exponentiation calculation error
    * Fix consecutive squaring crash
    * Fix crash in nested power calculation
    * Use .ui file for app menu
    * Fix uninitialized variable
    * Workaround for gtk_builder_add_objects_from_resource ()
    * Fix .doap and .ui files (set buttons table as toplevel)
    * Use gresource for .ui files
    * Fix null pointer dereferrence
    * Fix for subtract button inserting additional minus
    * Fix error reporting on Malformed expression
    * Fix compiler warnings
    * Fix typo
    * Update translation

Overview of changes in gnome-calculator 3.8.0
    * Update translation
    * Fix Desktop file keyword translations

Overview of changes in gnome-calculator 3.7.92
    * Update translation

Overview of changes in gnome-calculator 3.7.91
    * Update translation

Overview of changes in gnome-calculator 3.7.90
    * Update translation

Overview of changes in gnome-calculator 3.7.5

    * Updated translations
    * Fix desktop file syntax
    * Updated LINGUAS

Overview of changes in gnome-calculator 3.7.4

    * Updated translations
    * Add keyword to .desktop file
    * Expressions with base conversions (Bug #690576)

Overview of changes in gnome-calculator 3.7.3

    * Correctly calculate modulo division with negative numbers
    * Don't show numbers in exponential form when within word size in programmer
       mode
    * Ignore thousands separators in gcalccmd, gnome-calculator -s

Overview of changes in gnome-calculator 3.7.2

    * Fix incorrectly ininitialized option list

Overview of changes in gnome-calculator 3.7.1

    * Renamed to gnome-calculator
    * Port to Vala
    * Highlight parts of equation that have caused an error
    * Fix error reporting not working for certain types of error
    * Add shadow around display

Overview of changes in gcalctool 6.6.0

    * Updated translations

Overview of changes in gcalctool 6.5.92

    * Allow multiple instances of gcalctool

Overview of changes in gcalctool 6.5.91

    * Translation updates

Overview of changes in gcalctool 6.5.90.1

    * Remove reference to removed source file

Overview of changes in gcalctool 6.5.90

    * Replace lex/bison parser with hand-written parser
    * Use g_warning not g_error when unable to parse currency file

Overview of changes in gcalctool 6.5.3

    * Set window icon correctly

Overview of changes in gcalctool 6.5.1

    * Port to GtkApplication
    * Replace menubar with a GMenu
    * Only show thousands separators in decimal mode

Overview of changes in gcalctool 6.4.0

    * Translation updates

Overview of changes in gcalctool 6.3.92.1

    * Fix acos/asin/atan not working
    * Fix help not being correctly installed

Overview of changes in gcalctool 6.3.92

    * Remove widget background color tints (not working in recent GTK themes)
    * Use symbolic icons for clear/undo

Overview of changes in gcalctool 6.3.5

    * Build help with yelp-tools instead of gnome-doc-utils

Overview of changes in gcalctool 6.3.4

    * Fix a crash in gcalctool when ECB rate file can't be parsed
    * Fix square centimeter conversions
    * Fix incorrect spelling of Celsius
    * Remove deprecated API usage

Overview of changes in gcalctool 6.2.0

    * Updated translations

Overview of changes in gcalctool 6.1.5

    * Add CFA franc into currency list

Overview of changes in gcalctool 6.1.3

    * Fix crash running on BSD (Joe Marcus Clarke, Bug #650174)

Overview of changes in gcalctool 6.1.0

    * Fix conversion of nautical miles (Bruce Cowan, Bug #648205)
    * Fix some unit labels that were not in plural form (Bug #644681)
    * Use nmi as label for nautical mile, use nm for nanometers (Bug #644682)
    * Mark strings for translation that were missed
      (Kjartan Maraas, Bug #646093)
    * Only write to GSettings when settings change, don't sync on exit
      (Bug #647327)
    * Fix crash when not all currencies downloaded
    * Fix bit editor (Bug #646142)
    * Use K for kelvin, not ˚K (Bug #643585)
    * Add space between number and ˚C
    * Fix 0^n generating error for fractional n (Bug #634066)
    * Support both μs and us for entering microseconds
    * Fix order of implied multiplication
    * Make automatic exponentiation less aggressive
    * Fix thousands separator being on front of three digit numbers
    * Don't clear display when entering digit inside result
    * Add a swap units button (Jonh Wendell, Bug #633193)
    * Drop support for GTK2

Overview of changes in gcalctool 6.0.0

    * Use /org/gnome as location for gsettings keys.  This will mean
      gcalctool 5.31.x users will have their settings reset to defaults.
    * Correctly choose the first conversion when none/invalid defined
      (Bug #645663)

Overview of changes in gcalctool 5.91.93

    * Translation updates

Overview of changes in gcalctool 5.91.92

    * Add gcalccmd man page (Jean Schurger, Bug #645138)
    * Remove references to ~/.gcalctoolrc (Jean Schurger, Bug #645137)

Overview of changes in gcalctool 5.91.91

    * Disable localized digits (Bug #644980)
    * Fix crash doing bitwise operations with large numbers (Bug #637328)
    * Don't use automatic exponential format when not in base 10
    * Only use thousands separators in base 10
    * Set currency on first start (Bug #640818)
    * Support entering super/subscript with numeric keypad (Bug #634904)

Overview of changes in gcalctool 5.91.90

    * Integrate unittests into build process

Overview of changes in gcalctool 5.91.90

    * Fix grammar mistakes
    * Fix translated conversions (Bug #641166)

Overview of changes in gcalctool 5.91.6

    * Add fixed rate of 15.6466 EEK = 1 EUR (Bug #639332)
    * Use full name of currency in conversion bar
    * Add temperature conversion
    * Update conversion bar when currencies are updated
    * Fix incorrect display of complex numbers
    * Now able to change currencies from advanced mode

Overview of changes in gcalctool 5.91.5

    * Make new variable buttons that combines add/set/get and clear into one
      dialog.
    * Add a decimal point button to the programming mode
    * Make the numeric keypad produce numbers even when numlock is on

Overview of changes in gcalctool 5.91.4

    * Use new Indian Rupee sign ₹ (Bug #636587, Carlos Cejudo)
    * Use currency rates from the IMF as well as the ECB to add 24 new rates:
      AED, BHD, BND, BWP, CLP, COP, DZD, ILS, IRR, KWD, KZT, LKR,
      LYD, MUR, NPR, OMR, PEN, PKR, QAR, SAR, TND, TTD, UYU, VEF
    * Don't hide GCalctool in KDE
    * Convert numeric keypad separator into locale specific version
      (Bug #632794)

Overview of changes in gcalctool 5.91.3

    * Fix incorrect calculation of tanh
    * Fix dropping of decimal points when thousand separator is '.' (Bug #635517)
    * Improve conversion bar
    * Fix crash in scientific mode
    * Add new automatic display mode that switches from fixed to scientific when
      numbers are too large

Overview of changes in gcalctool 5.91.2

    * Fix broken thousands separators code (Bug #628908)
    * Don't make window resizable, it is not supposed to be
    * Use icons for undo and clear buttons as the translations cause them to be
      oversized in some languages
    * Handle Han digits (〇〡〢〣〤〥〦〧〨〩)
    * If a thousands separator is not defined then use ' ' (Bug #632182)
    * Fix incorrect error text for acosh function (Bug #632614)

Overview of changes in gcalctool 5.91.1

    * Clear display when an answer is displayed and a numeric point is inserted
    * Add GUI for unit conversations (bug #539830)
    * Fix the definition of ounces
    * Remove trailing whitespace when entering super-/subscript mode
      (bug #631988)
    * Calculate answers in separate thread (bug #576371)
    * Stop '*'+backspace+'*' being converted into '^'
    * Updated translations

Overview of changes in gcalctool 5.91.0

    * Port to GTK+-3 (bug #630115, William Jon McCann)
    * Don't crash on pasting empty clipboard
    * Mark more strings as translatable (bug #630899, Gabor Kelemen)
    * Make calculator window resizable (bug #630594)
    * Put back visible thousands separators (bug #628908)
    * Make thousands separators and radix points respect the users locale
    * Updated translations

Overview of changes in gcalctool 5.32.0

    * Updated translations

Overview of changes in gcalctool 5.31.91

    * Increase accuracy of internal calculations, don't crash printing numbers
      when they get too large.
    * Updated translations
 
Overview of changes in gcalctool 5.31.90

    * Updated translations

Overview of changes in gcalctool 5.31.6

    * Fix double pasting into display with middle button
    * Add a11y names to widgets

Overview of changes in gcalctool 5.31.5

    * Call gsettings_sync() before quit
 
Overview of changes in gcalctool 5.31.4

    * Show currency conversion below display

    * Use gsettings instead of gconf
 
Overview of changes in gcalctool 5.31.3

    * Support complex trigonometry

    * Add complex argument button to scientific mode
    
    * Make popup button for additional functions, with integer/fractional
      component, floor, ceiling, round and sign functions.

Overview of changes in gcalctool 5.31.2

    * Replace backspace button with undo button

    * Remove memory buttons from basic mode (too complex)

    * Support complex arithmetic

Overview of changes in gcalctool 5.31.1

    * Dynamically load button layouts to speed up startup time

    * Add colours to buttons (Bug #157962)

    * Merge advanced and scientific mode

    * Relayout buttons

    * Use arrows on superscript buttons (i.e. '↑n' instead of '⎕ⁿ')

    * Don't change window title to match mode (no need to)

    * Rename View menu to Mode

    * Make inverses of variables work (Bug #614979)

    * Show answer in bold (Bug #505168)

    * Reimplement undo and redo

    * Automatically add missing closing brackets (Bug #615243)

    * Show all defined variables in variable popups

Overview of changes in gcalctool 5.30.0

    * Fix errors in variable exponents (e.g. xy²)

    * Handle powers in convesion units, (e.g. 1m² in mm²)

    * Don't clear ans when clearing display (Bug #613552)
    
    * Handle equations like (x+3y)(2x-4y)

Overview of changes in gcalctool 5.29.92

    * Add shortcuts to base buttons (Ctrl+B, Ctrl+O, Ctrl+D, Ctrl+H)

    * Convert number in display if it has a base and a base button is pressed

    * Make scientific notation button behave the same as keyboard shortcut (i.e.
      go into superscript mode).
      
    * Only allow superscript minus to be entered if can make a valid superscript
      number, otherwise revert to standard minus.

    * Allow hexadecimal numbers to be entered in lower-case

    * Make bit editor active for displayed numbers not in base 10

    * Make variable powers work, e.g. x²

    * Fix spacebar not working when display has focus (Bug #611971)

    * Load currency rates when doing typed currency conversion
    
    * Use GIO instead of libsoup

Overview of changes in gcalctool 5.29.91

    * Fix bug where backspace deletes all input in locales with no thousands
      separator

    * Make boolean operations work with zero, e.g. "0 XOR 5"
    
    * Don't override space and return when display area not selected (Bug #596645)

    * Make window non-resizable (Bug #602154)

    * Change boolean functions to uppercase (xor -> XOR)

    * Documentation rewritten

    * Modernised build system
 
Overview of changes in gcalctool 5.29.90

    * Miscellaneous string fixes

    * Updated translations: bg (Ivaylo Valkov), da (Ask H. Larsen),
                            en_GB (Philip Withnall), es (Jorge González),
                            fr (Laurent Coudeur), nb (Kjartan Maraas),
                            zh_HK (Chao-Hsiung Liao), zh_TW (Chao-Hsiung Liao)

Overview of changes in gcalctool 5.29.6

    * Reimplement automatic ans substitution (Robert Ancell)

    * Make builds less verbose (bug #607118, Thomas Andersen)

    * De-break function that check if currency rates are out of date (Robin Sonefors)

    * Fix shift button keybinding crash (Robert Ancell)

    * Updated translations: ast (Xandru Armesto Fernandez), bn (Jamil Ahmed),
                            cs (Petr Kovar), de (Christian Kirbach),
                            fr (Laurent Coudeur and Claude Paroz), hu (Gabor Kelemen),
                            nb (Kjartan Maraas), sv (Daniel Nylander),
                            ta (vasudeven), uk (Maxim V. Dziumanenko)
 
Overview of changes in gcalctool 5.29.4

    * Make 0^0 = 1 (Robert Ancell, Bug #605011)

    * Use superscript digits for scientific notation (Robert Ancell)

    * Clear display when entering a number after an equation (Robert Ancell)

    * Make Ctrl+W a shortcut to quit (Robert Ancell)

    * Updated translations: et (Ivar Smolin), ro (Lucian Adrian Grijincu),
                            zh_CN (Tao Wei)

Overview of changes in gcalctool 5.29.2

    * Support conversions in display (e.g. "1 AUD in USD" or "6.2 inches in
      meters") (Robert Ancell)

    * Support arbitrary varible names, e.g. set with "name=55" (Robert Ancell)

    * Add a command-line version of gcalctool 'gcalccmd'
      (Rich Burridge, Bug #590767)

    * Updated translations: en@shaw (Thomas Thurman), es (Jorge González),
                            sl (Matej Urbančič), ta (drtvasudevan),
                            zh_CN (Aron Xu)

Overview of changes in gcalctool 5.29.1

    * New user interface:
      - Window is now shorter to better fix in netbook resolutions
      - Superscript and subscript numbers to allow better notation, e.g. "₃√5"
      - Preferences moved into a dialog
      - Functions are now typed, e.g. s+i+n for sine instead of "k"
      - Error messages now displayed below equation, and improved descriptions

Overview of changes in gcalctool 5.28.0

    * Don't override space bar when buttons are focussed as this stops keyboard control
      (Robert Ancell, Bug #595337)

    * Handle keycode for '^' used in non-English layouts (German, Spanish, etc)
      and allow '**' to be converted to a '^' for layouts that do not support it
      (Robert Ancell, Bug #546819)

    * Updated documentation: de (Christian Kirbach), fr (Claude Paroz)

    * Updated translations: as (Amitakhya Phukan), bg (Yavor Doganov)
                            bn_IN (Runa Bhattacharjee), bn (Jamil Ahmed)
                            cs (Marek Černocký), da (Ask H. Larsen)
                            en_GB (Bruce Cowan), et (Ivar Smolin)
                            hi (Rajesh Ranjan), it (Davide Falagna)
                            kn (Shankar Prasad), lt (Gintautas Miliauskas)
                            ml (Ani), mr (Sandeep Shedmake)
                            or (Manoj Kumar Giri), pa (A S Alam)
                            ro (Adi Roiban), sl (Matej Urbančič)
                            sr (Branko Kokanović), sr@latin (Branko Kokanović)
                            te (krishnababu k), uk (Maxim V. Dziumanenko)
                            zh_HK (Chao-Hsiung Liao), zh_TW (Chao-Hsiung Liao)

Overview of changes in gcalctool 5.27.92

    * Fix base conversions (Robert Ancell)

    * Fix disabled help menu (Robert Ancell)

    * Fix duplicate object names in data/financial.ui (Robert Ancell, Bug #593277)

    * Updated translations: ar (Khaled Hosny), el (Jennie Petoumenou)
                            eu (Inaki Larranaga Murgoitio), fr (Claude Paroz)
                            gu (Sweta Kothari), hu (Gabor Kelemen)
                            kn (Shankar Prasad), ml (Ani)
                            pl (Tomasz Dominikowski), pt (Duarte Loreto)
                            sr (Branko Kokanović), sv (Daniel Nylander)
                            tr (Baris Cicek), zh_CN (Aron Xu)

Overview of changes in gcalctool 5.27.91

    * Updated documentation: cs (Petr Kovar)

    * Updated translations: bn_IN (Runa Bhattacharjee), et (Ivar Smolin)
                            eu (Inaki Larranaga Murgoitio), fi (Tommi Vainikainen)
                            ga (Seán de Búrca), gl (Antón Méixome)
                            kn (Shankar Prasad), ko (Changwoo Ryu)
                            nb (Kjartan Maraas), or (Manoj Kumar Giri)
                            pl (Piotr Drąg), pt_BR (Leonardo Ferreira Fontenelle)
                            sv (Daniel Nylander), ta (ifelix)

Overview of changes in gcalctool 5.27.90

    * Fix bug where inserting text in locales without thousands separators replaces the whole display (Robert Ancell)

    * Updated documentation: es (Jorge González)

    * Updated translations: de (Christian Kirbach), es (Jorge González)
                            gl (Antón Méixome), nb (Kjartan Maraas)
                            sv (Daniel Nylander), ta (drtvasudevan)

Overview of changes in gcalctool 5.27.5

    * Perform power and factorials before negation so -1! and -1^0.5 are valid as in 5.26.x (Robert Ancell)

    * Connect functions to solve the function text and replace the display with the result (Robert Ancell, Bug #548884)

    * Change bison syntax to be compatible with version 2.3 (Robert Ancell, Bug #589350)

    * Compile with -DGSEAL_ENABLE (Thomas Anderson, Bug #588591)

    * Update gconf descriptions to match translation guidelines (Leonardo Fontenelle, Bug #589563)

    * Updated documentation: fr (Laurent Coudeur, Claude Paroz)

    * Updated translations: es (Jorge González), et (Ivar Smolin, Mattias Põldaru)
                            fr (Claude Paroz), pt_BR (Daniel S. Koda)

Overview of changes in gcalctool 5.27.4

    * Update bit editor after shifting (Robert Ancell, Bug #587545)

    * Use a base-10 internal representation (Robert Ancell, bug #585813, bug #585931, bug #560802)

    * Make padding consistent in GUI (Jerry Casiano, Bug #587292)
    
    * Support implicit multiply before functions, e.g. "6 log 3" (Robert Ancell, Bug #586812)

    * Use inverse notation for trigonometric functions, i.e. "asin" -> "sin⁻¹"

    * Use lowercase notation for trigonometric and logarithm functions to look
      more like standard mathematical notation

    * Put spacing around functions, i.e. "sin" -> " sin "

    * Use subscript for logarithm base two, i.e. "log2" -> "log₂"

    * Added etched border around display (Robert Ancell, Bug #140836)

    * Rewrote out of date man page (Robert Ancell, Bug #585997)

    * Updated documentation: cs (Marek Cernocky)

    * Updated translations: bn_IN (Runa Bhattacharjee), cs (Marek Cernocky),
                            es (Jorge Gonzalez), fr (Jonathan Ernst, Claude Paroz),
			    ta (drtvasudevan), sv (Daniel Nylander),
			    uk (Maxim V. Dziumanenko)

Overview of changes in gcalctool 5.27.3

    * Percentage operation for addition and subtraction now takes percentage of
      first value (Robert Ancell, Bug #480207)

    * Use correct UTF-8 mathematical characters (Robert Ancell, Bug #347630)

    * Focus on the display entry by default

    * Fix broken widget style.  Copy gcalctoolrc to ~/.gcalctoolrc to get coloured buttons.

    * Fix missing icon in Help>Contents menu

    * Updated translations: nb (Kjartan Maraas), ta (drtvasudevan)
 
Overview of changes in gcalctool 5.27.2

    * Add 1's and 2's complement to programming mode (Robin Sonefors, Bug #581253)

    * Add variable word size for bitwise functions (Robin Sonefors, Bug #581253)

    * Remove negative sign from numbers rounded to zero.  This is only a partial
      fix as the error value is still visible in scientific notation
      (Robert Ancell, Bug #560802)

    * Support odd roots of negative numbers (Robert Ancell, Bug #576973)

    * Keep settings (show zeroes, thousands separator etc) when changing modes
      (Robert Ancell, Bug #580398)

    * Add a --solve command-line argument (Robert Ancell)

    * Really fix the license text in the about dialog (Robert Ancell, Bug #579174)

    * Made parser reentrant and part of MP code (Robert Ancell)
    
    * Remove references to arithmetic/left-to-right precedence from the manual
      (Robert Ancell, Bug #559734)

    * Fix grammatical errors in manual (Bruce Cowan, Bug #569275)

    * Remove untranslated figures in documentation - they are automatically
      copied from the C documentation (Robert Ancell, Bug #566680)

    * Updated translations: si (K.P.Gayan Tharaka)
 
Overview of changes in gcalctool 5.27.1

    * Convert Glade UI to GtkBuilder UI (Robert Ancell, David King, Bug #556807)

    * Fix display on startup to be replaced on entry (Robert Ancell, Bug #576975)
    
    * Make GConf schemas translatable (Robert Ancell, Bug #571948)
    
    * Replace MP number arrays with an MPNumber structure (Robert Ancell)

    * Tidied up error messages (Robert Ancell, Bug #521184)

    * Tidied up GConf schema, use native GConf types (Robert Ancell, Bug #493946)
      This will cause the gconf schema to be incompatible with gcalctool < 5.26.0.
      Expect settings to reset to defaults when upgrading.  Switching between
      versions will cause resets.

    * Fix missing license text in about dialog (Robert Ancell, Bug #579174)
    
    * Updated translations: es (Jorge Gonzalez), et (Ivar Smolin)

Overview of changes in gcalctool 5.26.0

    * Fix button expansion (nowak2000, Bug #575385)

    * Removed deprecated test/ directory (Bug #574048)

    * Updated documentation: C (Robin Sonefors), ca (Joan Duran)

    * Updated translations: as (Amitakhya Phukan), da (Ask H. Larsen),
                            el (Jennie Petoumenou), es (Jorge Gonzalez),
                            fi (Tommi Vainikainen), gl (Ignacio Casal Quinteiro),
                            gu (Ankitkumar Patel), hi (Rajesh Ranjan),
                            hu (Gabor Kelemen), it (Sergio Durzu),
                            lt (Vytautas Rėkus), mai (Rajesh Ranjan),
                            ml (Ani Peter), mr (Sandeep Shedmake),
                            nb (Kjartan Maraas), nl (Tino Meinen),
                            pl (Wadim Dziedzic), ru (Nickolay V. Shmyrev),
                            ta (felix), te (Krishnababu K),
                            zh_HK (Chao-Hsiung Liao), zh_TW (Chao-Hsiung Liao)
 
Overview of changes in gcalctool 5.25.92

    * Restore number display mode (FIX/SCI/ENG) on startup (Robert Ancell, Bug #572881)

    * Fix rounding errors in integer power calulations (Robert Ancell, Bug #527540)

    * Fix error in cosine/tangent calculations (Robert Ancell, Bug #571007)

    * Updated documentation: eu (Inaki Larranaga Murgoitio)

    * Updated translations: en_GB (Philip Withnall), fi (Ilkka Tuohela),
                            fr (Bruno Brouard, Claude Paroz), ja (Takeshi AIHANA)
                            kn (Shankar Prasad), lv (Raivis Dejus),
                            nl (Wouter Bolsterlee), pt (Duarte Loreto)
                            pt_BR (Og Maciel, Rodrigo Flores), sv (Daniel Nylander)

Overview of changes in gcalctool 5.25.91

    * Initialise GType system so usage of GConf doesn't cause crashes (Matthias Clasen, Bug #571581)

    * Rework command-line arguments to be standard (Robert Ancell, Bug #569885)

    * Correctly handle decimal points for languages not using '.' (Robert Ancell, Bug #566929)

    * Fix shortcut keys so standard menu keys work (Robert Ancell)
    
    * Updated documentation: eu (Inaki Larranaga Murgoitio)
    
    * Updated translations: ast (Mikel González), cs (Petr Pulc), da (Ask H. Larsen), eu (Inaki Larranaga Murgoitio),
                            gu (Sweta Kothari), hu (Gabor Kelemen), ro (Adi Roiban), vi (Clytie Siddall),
                            zh_HK (Chao-Hsiung Liao), zh_TW (Chao-Hsiung Liao)
 
Overview of changes in gcalctool 5.25.90

    * Fixed incorrect bit shift operation (Robert Ancell, Bug #569176)

    * Updated documentation: sv (Daniel Nylander)

    * Updated translations: ca (Joan Duran), de (Christian Kirbach), ko (Changwoo Ryu), or (Manoj Kumar Giri)
 
Overview of changes in gcalctool 5.25.5

    * Updated documentation: de (Christian Kirbach)

    * Updated translations: nb (Kjartan Maraas), th (Theppitak Karoonboonyanan)

Overview of changes in gcalctool 5.25.4

    * Updated translations: de (ckirbach), es (Jorge Gonzalez), zh_CN (甘露)
 
Overview of changes in gcalctool 5.25.3

    * Made exponential numbers work without a sign, e.g. '1e2' works
      the same as '1e+2' (Robert Ancell).

    * Correctly calculate exponential numbers in binary mode and
      convert correctly when changing bases (Robert Ancell, Bug #516159).

    * Fix broken accelerator keys from changes in 5.25.2 (Robert Ancell, Bug #379476).
 
Overview of changes in gcalctool 5.25.2

    * Changed the scientific UI so that inverse operations (e.g. Ln/e^x) are controlled by the shift key.
      The following shortcut keys have changed:

      Function     | Old | New
      --------------------------
      Sine         | K   | k
      Inv. Sine    | -   | K
      Cosine       | J   | j
      Inv. Cosine  | -   | J
      Tangent      | L   | w
      Inv. Tangent | -   | W
      Natural Log  | N   | n
      e^x          | {   | N
      Log          | G   | g
      10^x         | }   | G
      Log_2        | H   | h
      2^x          | -   | H
      x^y          | ^   | ^ or o
      x^(1/y)      | -   | O
      
      (Robin Sonefors, Bug #379476).

    * Fixed crash where financial dialogs are activated from other modes on startup
      (Robin Sonefors, Bug #560196).

    * Give binary invert operation higher precedence so that ~X and X == 0 (Sami Pietilä, Bug #562251)
    
    * Fixed calculation errors for boolean operations on very large numbers (Robert Ancell, Bug #509988)

    * Always read configuration from /apps/gcalctool not /apps/(appname) as the application
      name is different when symlinked (e.g. the gnome-calculator symlink) (Matt Keenan, Bug #559260).

    * Correct gconf key names in man page (Robert Ancell, Bug #559458).

    * Updated translations: es (Jorge Gonzalez)

    * Updated help: es (Jorge Gonzalez)

Overview of changes in gcalctool 5.25.1

    * Added a programming mode that contains the bit editor (Robin Sonefors, Bug #501508).
    
    * Made finacial operations GUI-based not register based (Robin Sonefors, Bug #318686).
    
    * Added Gross Profit Margin Ration Financial Function (Robin Sonefors, Bug #150663).
    
    * Don't clear display when changing modes and allow all functions to work in all non-basic
      modes (Robert Ancell, Bug #554133).    
   
    * Set decimal point label to be based on LC_NUMERIC as users can set their numerical
      representation to different to their language settings (Robin Sonefors, Bug #557331).
      
    * More refactoring in MP math library (Klaus Niederkrueger, Robert Ancell, Bug #524091).

    * Fixed GtkSpinButton warning (Robin Sonefors, Bug #553965).

    * Only update bit panel when display contains a solved number (Robert Ancell, Bug #548690).

    * Remove inline declaration so can compile in C89 (Jens Granseuer, Bug #553307).
    
    * Open help with gtk_show_uri() (Thomas Andersen, Bug #556207).

    * Added translator comments (Robert Ancell)

    * Updated translations: bg (Alexander Shopov),
                            da (Ask H. Larsen, Kenneth Nielsen),
                            es (Jorge Gonzalez),
                            et (Ivar Smolin),
                            fi (Ilkka Tuohela),
                            mk (Jovan Naumovski),
                            pt_BR (Vladimir Melo, Leonardo Ferreira Fontenelle)

    * Updated help: es (Jorge Gonzalez)

Overview of changes in gcalctool 5.24.0

    * Updated translations: af (Friedel Wolff), ar (Anas Afif Emad, Khaled Hosny),
                            bn_IN (Sankarshan Mukhopadhyay), da (Kenneth Nielsen),
                            dz (Pema Geyleg), gu (Sweta Kothari),
                            hr (Robert Sedak), hu (Gabor Kelemen),
                            it (Luca Ferretti), kn (Shankar Prasad),
                            ko (Changwoo Ryu), lt (Gintautas Miliauskas),
                            ml (Sreejith K incorporated, Praveen Arimbrathodiyil),
                            mr (Sandeep Shedmake), ro (Mişu Moldovan),
                            sq (Laurent Dhima), ta (Tirumurthi Vasudevan),
                            te (Krishnababu K), tr (Baris Cicek),
                            zh_CN (Funda Wang)

    * Updated help: es (Jorge Gonzalez)
----
 
Overview of changes in gcalctool 5.23.92

    * Updated translations: en_GB (Philip Withnall), ca (Gil Forcada),
                            bg (Alexander Shopov)

----

Overview of changes in gcalctool 5.23.91

    * Fix packing for modulus button (Bug #548880)

    * Change from OnlyShowIn=GNOME;XFCE; to NotShowIn=KDE; so
      other desktops can use GCalctool (bug #518862).

----

Overview of changes in gcalctool 5.23.90

    * Fix some small memory leaks (Felix Riemann, Bug #547942)
    
    * More work tidying up MP code (Klaus Niederkrueger, Robert Ancell, Bug #524091)
    
    * Updated translations: ar (Khaled Hosny), fi (Ilkka Tuohela), he (Yair Hershkovitz), ja (Takeshi Aihana), pt (Duarte Loreto), sk (Marcel Telka)
    
    * Updated documentation: ru (Yuriy Penkin)

----

Overview of changes in gcalctool 5.23.6

    * Deprecated left-to-right mode (Bug #500994).

    * Updated remaining documentation (bg, zh_CN, zh_HK, zh_TW) to gnome-doc-utils (Robert Ancell, Bug #336104)
    
    * Changed icon from deprecated 'gnome-calculator' to 'accessories-calculator') (Matthias Clasen, Bug #545074)

    * Updated translations: ar (Djihed Afifi), fr (Claude Paroz), pt_BG (Fabrício Godoy)
 
---- 

Overview of changes in gcalctool 5.23.5

    * Fix regression in factorial operation (Klaus Niederkrueger)
    
    * Made trigonometric button text translatable (Yuri Penkin, Bug #540196)

    * More work tidying up MP code (Klaus Niederkrueger, Robert Ancell, Bug #524091)
    
    * Updated Japanese documentation to gnome-doc-utils (Claude Paroz, Takeshi Aihana, Bug #336104)

    * Updated translations: ca (Joan Duran), oc (Yannig Marchegay), ru (Yuriy Penkin), sv (Daniel Nylander), th (Theppitak Karoonboonyanan)

----
 
Overview of changes in gcalctool 5.23.4

    * Added workaround to stop display disappearing when editing large displays (Bug #524602)

    * Applied second mp math tidy up patch from  Klaus Niederkrueger (Bug #524091)

    * Updated translations: ar (Djihed Afifi)

----
  
Overview of changes in gcalctool 5.23.3

    * Default to no thousands separator not ',' for locales that do not require one (Bug #527669)

    * Updated translations: ar (Djihed Afifi), et (Ivar Smolin), vi (Clytie Siddall)

----
 
Overview of changes in gcalctool 5.23.2

    * Fixes the cursor from moving around when editing numbers with thousands separators (Bug #527669)

    * Structural changes in preperation for full unicode support (Bug #530532)
    
    * Updated translations: es (Jorge González), gl (Ignacio Casal Quinteiro), nb (Kjartan Maraas),
      nl (Tino Meinen), pt_BR (Leonardo Ferreira Fontenelle), sl (Matej Urbančič)
    
----
 
Overview of changes in gcalctool 5.23.1

    * Fixes a number of compiler warnings (Bugs #526976, #526702, #527318)

    * Fixes incorrect negation precedence (Bug #526094)

    * Fixes issues with thousands seperators and radix in non-english
      locales (Bug #527669)

    * Fixes regression in constant and function menus (Bug #527545)

    * Fixes problem where display is invisible after solving equation
      (Bug #524602)

----

Overview of changes in gcalctool 5.22.0

    * Fix for bug #520474 - Calculator uses 06 in place of decimal.

    * Fix for bug #519979 - Please provide translator comments.

    * Fix for bug #519243 - Memory registers save incorrectly.

----

Overview of changes in gcalctool 5.21.92

    * Released a gcalctool tarball for GNOME 5.21.92.

----

Overview of changes in gcalctool 5.21.91

    * Change Help->Help menu to Help->Contents to match HIG (Bug #514812)

    * Fix for bug #515326 – translation issues

    * Unmark bitcalculating strings for translation (Bug #515326)
      Change help menu shortcut from Ctrl+H to F1 to match HIG (Bug #514812)

    * Remove help/it/Makefile, switching to gnome-doc-utils

    * Fix for bug #514233 - Title not translated

    * Fix for bug #513868 - Switching mode clears values but not
      "Malformed expression" in statusbar.

    * Fix for bug #513218 - Parsing not handling things the way a
      "normal" calculator would.

    * Fix for bug #482666 - XML errors in gcalctool de translation.

    * Fix typo (Retreive -> Retrieve)

----

Overview of changes in gcalctool 5.21.90

    * Fix for bug #512204 - Regression in (-,+) handling.

    * Fix for bug #511052 – Mod gives negative remainders.

    * Fixed typo in message in create_kframe() in gtk.c.

----

Overview of changes in gcalctool 5.21.5

   * Adjusted online help documentation to add in a section 4.4. "Changing
     The Display Area" and to update the new keyboard shortcut for Clear.

   * Use delete key to delete character right of cursor in display, clear
     now uses shift+delete (Bug #326938).
   
   * Update all button tooltips to have the shortcut
     key for that button (Bug #503707).

   * Fixed bug #502650 - gcalctool.desktop should contain "Calculator"
     category

   * Fixed bug #500802 - Update to GNOME Help Centre OMF Files for 
     "Issue 24: Documentation Meta-data" of GNOME's GHOP Contest.

   * Work on bug #501699. Adjusted "monthly interest rate" to "simple
     monthly interest rate" in the online help for two of the financial
     examples.

   * Fix incorrect menu radio button selected when mode change aborted 
     (bug #488226).

   * Fix for bug #502306 - unable to use MOD operation after a 
     x ? y operation.

----

Overview of changes in gcalctool 5.21.4

    * Adjusted online help documentation to add in a section 4.4. "Changing
      The Display Area" and to update the new keyboard shortcut for Clear.

    * Use delete key to delete character right of cursor in display, clear
      now uses shift+delete (Bug #326938).
    
    * Update all button tooltips to have the shortcut
      key for that button (Bug #503707).

    * Fixed bug #502650 - gcalctool.desktop should contain "Calculator"
      category

    * Fixed bug #500802 - Update to GNOME Help Centre OMF Files for 
      "Issue 24: Documentation Meta-data" of GNOME's GHOP Contest.

    * Work on bug #501699. Adjusted "monthly interest rate" to "simple
      monthly interest rate" in the online help for two of the financial
      examples.

    * Fix incorrect menu radio button selected when mode change aborted 
      (bug #488226).

    * Fix for bug #502306 - unable to use MOD operation after a 
      x ᶺ y operation.

----

Overview of changes in gcalctool 5.21.3

    * Added a "Reset to Default" accuracy menu item (bug #488542).

    * When the bit calculation extension is enabled, a message now appears
      in the status bar.

    * Fixed bug #500060 - Twiddling bits 32-63 in bitcalculation extension
      produces incorrect results.

    * Fixed bug #367731 - [doc] Update documentation for bit calculating
      extension.

    * Fixed bug 500029 - Clearing a bit in the bitcalculating extension,
      sets the display to zero.

    * Disable menu items not valid in current mode (Bug #499625).

    * Fix build dependencies for parsers (Bug #497237).
    
    * Trim pasted text on newlines, replace tabs with spaces (Bug #488796).

    * Fixed bug #367737 - [doc] Documentation screenshots need to be updated.

    * Fixed bug #367723 - [doc] Update documentation for Changing Modes
      Clears Calculation.

----

Overview of changes in gcalctool 5.21.2

    * Fixed bug #485919 - Use Glade for UI. Glade conversion of gcalctool 
      is now complete (thanks Robert).

    * Fixed bug #495349 - Close precision dialog when setting precision from
      Acc button.

    * Fixed bug #495345 - Connect "activate" signal for precision spin button
      after spin button has been updated.

    * Fixed bug #482655 - Missing image file.

    * Fix the buglet in comment #51 of bug #485919

    * Fixed for final remaining parts of bug #488694 - [a11y] Several 
      calculator buttons don't speak correctly with Orca.

    * Fixed bug #488489 - Make accuracy shortcuts only work in scientific mode.

    * Fixed bug # 488703 - Stop bogus '-/-' appearing in accuracy menu items.

    * Fix for bug #485134 - OR calculation produces incorrect result in
      arithmetic precedence mode.

    * General code cleanup.

----

Overview of changes in gcalctool 5.21.1

    * Work on bug #485919 - Use Glade for UI.
        > Adds support for the mode panel.
        > Puts menu accelerators back again and fixes the top button row in
          basic mode being too tall.
        > Now provides Glade support for the majority of the gcalctool GUI.

    * Fix for bug #490701 - base radio buttons initially fail.

    * Attempted fix for bug #485134 - OR calculation produces incorrect 
      result in arithmetic precedence mode. This isn't a complete solution
      so the bug has been reopened.

    * Fix for bug #488828 - Reciprocal remembers backspaced items.

    * More work on bug ##488694 - [a11y] Several calculator buttons don't speak 
      correctly with Orca. Removed the accessible descriptions (not needed) and 
      adjusted the "shift left" and "shift right" names (they were reversed).

    * Patch to stablize arithmetic precedence.

    * Stop acting on toggle events from radio buttons when they go inactive 
      (Bug #485918).

    * Added Robert Ancell to the list of gcalctool MAINTAINERS.

    * Fixed bug #488830 - Hex radio button shortcut conflicts with Help menu 
      shortcut.

    * Fixed bug #488829 - Accuracy and Change Sign have wrong tooltip shortcut 
      keys.

    * Fixed bug #488783 - memory registers not available if you start in 
      Advanced mode

    * Fixed bug bug #488694 - [a11y] Several calculator buttons don't speak
      correctly with Orca.

    * Fix for bug #485398 - Put memory register window inside the main window.
      Uses gtk_window_set_transient_for() to associate the memory register
      window with the main gcalctool window.

    * Fix for bug #383850 - [doc] New names for Precedence.

    * Fix for bug #485137 - Undo/Redo don't work in arithmetic precedence mode
      if user has "hand edited" the display.

    * Added a call to "set_memory_toggle(v->rstate);" in make_frames() to
      correctly set the state of the Edit-<Memory Registers check box if the
      user wanted the memory registers initially displayed.

    * Correctly handle memory register display and "Memory Registers" menu
      item checkbox status when user goes from Sci/Fin/Adv mode to Basic.
      (Needed because of the recent changes for bug #478961).

----

Overview of changes in gcalctool 5.21.0

    * Fix for bug #326938 – Display cursor in input area; allow home and 
      end keys. This is in arithmetic precedence mode only.

    * Fix for bug #484158 – Setting Accuracy is incorrect via the 0-9 places 
      menu items.

    * Fix for bug #439087 – Gcalctool can't handle small physic constants
      like the Boltzmann constant. The number of significant places has
      been increased to 99 and the number of displayable digits has been
      increased to 200. The online help has been adjusted to reflect these
      changes.

      Note that if you have something in the gcalctool display that is
      wider than the display area, a scrollbar is shown, but the first
      digit isn't properly displayed. The workaround here, is to enlarge
      the size of the calculator window until the scrollbar goes away.
      I believe this is a Gtk+ problem and have filed bug #482688 against 
      it.

    * Fixed bug #367738 – [doc] Square root documentation needs to be updated.
      The entry in the online help now includes examples for both arithmetic
      precedence and non-arithmetic precedence mode.

    * Fixed bug #428571 – [doc] Repetitive usage of "use".

    * Use GNOME_MAINTAINER_MODE_DEFINES() to handle *_DISABLE_DEPRECATED

    * Fixed bug #428573 – [doc] Spelling of logical gates.
      The logical operations, And, Not, Or, Xor and Xnor now use uppercase
      letters (AND, NOT, OR, XOR and XNOR) for both the buttons and in the
      display area in arithmetic precedence mode. The gcalctool manual
      pages and the online help have been updated accordingly.

      The XOR operation in non-arithmetic mode was doing a multiplication
      instead.

      The result for the AND example in the online help was incorrect.

      The syntax for using NOT in aritmetic mode is different then for
      non-arithmetic mode. The online help example has been updated to
      show both examples.

    *  Fixed bug #469245 – Hexadecimal input is not intuitive and
      bug #455889 – Copy/paste of lower case hex letter does not work.
      The hexadecimal digits have been changed back to their pre Sept
      2003 (bug #118826) values of "a" - "f".

      The following functions have also had their keyboard shortcuts
      reverted back to their pre Sept 2003 upper-case values:

      [A] - Set accuracy
      [C] - Change sign
      [D] - Double-declining depreciation
      [E] - Enter an exponential number
      [F] - User-defined functions

      With copy/paste operations, where the user is pasting a string into
      gcalctool, the copy buffer is now iterated over. If an "A", "B", "C",
      "D" or "F" character is encountered, it will be converted to its
      lowercase equivalent. If an "E" is found,  and the next character is a
      "-" or a "+", then it remains as an upper case "E" (it's assumed to be
      a possible exponential number), otherwise its converted to a lower
      case "e".

      Displaying of hex digits in the gcalctool display will still be
      in uppercase. Displaying of the "e" in an exponential number will
      still be in lower-case.

      The way to enter exponential numbers in arithmetic precedence mode
      has changed. The following four examples should show you the new
      correct syntax:

        1  2  Exp + 8  =              1200000000
      - 1  2  Exp + 8  =             -1200000000
        1  2  Exp - 8  =              0.00000012
      - 1  2  Exp - 8  =             -0.00000012

      In both left-to-right precedence and arithmetic precedence modes, if
      the user enters a numeric digit that is incorrect for the current
      numeric base, this shouldn't be allowed and should not be entered
      in the display.

      The gcalctool documentation (and tooltips) have been updated to
      reflect these changes.

    * Fixed bug #479102 – memory registers dialogue should use ngettext.

    * Fixed bug #478961 – GtkAaction use.

    * Fixed bug #478964 – don't use deprecated gtk_widget_ref func.

    * Fixed bug #478979 – show menu help in statusbar.

    * Fixed bug #479064 – should use ngettext on the Acc button.

    * Fixed bug #479097 – use gtkmessagedialog.

    * Fixed bug #479066 – weird way to use gnome menus-have-icons setting.

----

Overview of changes in gcalctool 5.20.0

* Released a gcalctool tarball for GNOME 2.20.0.

----

Overview of changes in gcalctool 5.19.92

* Released a gcalctool tarball for GNOME 2.19.92.

----

Overview of changes in gcalctool 5.19.91

* Released a gcalctool tarball for GNOME 2.19.91.

    - Fixed bug #467442 – gcalctool does not appear in xfce4 menu.

----

Overview of changes in gcalctool 5.19.90

* Released a gcalctool tarball for GNOME 2.19.90.

    - Adjusted the MAINTAINERS file to the new format.

----

Overview of changes in gcalctool 5.19.6

* Released a gcalctool tarball for GNOME 2.19.6.

    - Remove help/de/Makefile due to gnome-doc-utils migration.

    - Fixed bug #459702 – gcalc does not build against gtk+-2.11.6.
      Occurances of gtk_tooltips_set_tip are now gtk_widget_set_tooltip_text.

    - Fixed bug #439415. Always use left-to-right direction for button's boxes.

----

Overview of changes in gcalctool 5.19.5

* Released a gcalctool tarball for GNOME 2.19.5.

    - Applied Sun patch to change the Comment line in gcalctool.desktop.in

    - Fixed bug #451286 – 0 power of 0. This now returns 1 and not an error.

    - Fixed bug #450790 – crash in Calculator when pasting in a very large
      number.

----

Overview of changes in gcalctool 5.19.4

* Released a gcalctool tarball for GNOME 2.19.4.

    - Fixed bug #448263 – drop libgnome dependency

----

Overview of changes in gcalctool 5.19.3

* Released a gcalctool tarball for GNOME 2.19.3.

  - Fixed bug #439985 – Negative value not saved in memory register across 
    invocations of gcalctool. This was also a problem was negative constants.

----

Overview of changes in gcalctool 5.19.2

* Released a gcalctool tarball for GNOME 2.19.2.

----

Overview of changes in gcalctool 5.19.1

* Released a gcalctool tarball for GNOME 2.19.1.

----

Overview of changes in gcalctool 5.9.14

* Released a gcalctool tarball for GNOME 2.18.0 (Final).

----

Overview of changes in gcalctool 5.9.13

* Released a gcalctool tarball for GNOME 2.18.0 (Release Candidate).

----

Overview of changes in gcalctool 5.9.12

* Released a gcalctool tarball for GNOME 2.18.0 (beta-2).

----

Overview of changes in gcalctool 5.9.11

* Released a gcalctool tarball for GNOME 2.18.0 (beta-1).

----

Overview of changes in gcalctool 5.9.10

* All copyright messages updated for 2007.
* Released a gcalctool tarball for GNOME 2.17.5.

----

Overview of changes in gcalctool 5.9.9

* Released a gcalctool tarball for GNOME 2.17.4.

----

Overview of changes in gcalctool 5.9.8

* Released a gcalctool tarball for GNOME 2.17.3.

----

Overview of changes in gcalctool 5.9.7

* Released a gcalctool tarball for GNOME 2.17.2.

----

Overview of changes in gcalctool 5.9.6

* Fixed bug #358782. Fixup sloppy string handling.

----

Overview of changes in gcalctool 5.9.5

* Fixed bug #364410.  Incorrectly rounded pi constant.

----

Overview of changes in gcalctool 5.9.4

* Released a gcalctool tarball for GNOME 2.17.1.

----

Overview of changes in gcalctool 5.9.3

* Fixed bug 359291 - crash when localized decimal point is greater than 
  1 char. Removed the bogus assert.

----

Overview of changes in gcalctool 5.9.2

* Fixed bug #358337 - gcalctool no longer crashes in the Oriya locale due 
  to sloppy string handling.
* Fixed bug #354730 - crash in Calculator: running 3x10^38 using bi..
* Fixed bug #357208 - Bitcalculating extension needs to support negative 
  numbers

----

Overview of changes in gcalctool 5.9.1

* Fixed bug #157961 - Bitcalculating extension for gcalctool.
* Fixed bug #355648 - Error reporting should be consistent.
* Fixed bug #135140 - percent operator works not as expected.

----

Overview of changes in gcalctool 5.9.0

* Fixed bug #349981 - gcalctool should save screen position for next start.

----

Overview of changes in gcalctool 5.8.24

* Released a gcalctool tarball for GNOME 2.16.0 (Final).

----

Overview of changes in gcalctool 5.8.23

* Released a gcalctool tarball for GNOME 2.16.0 (RC1).

----

Overview of changes in gcalctool 5.8.22

* Removed several chunks of code that were surronded by #if 0/#endif.

----

Overview of changes in gcalctool 5.8.21

* Fixed bug #350341. gcalctool now builds again with gcc v2.95.

----

Overview of changes in gcalctool 5.8.20

* Released a gcalctool tarball for GNOME 2.16.0 (beta2).

----

Overview of changes in gcalctool 5.8.19

* More work on bug #347700.  Added another "Note to translators" 
  comment for the Abs button labels.

* Fixed bug #348452. Removed line for help/sv/Makefile.in

* Released a gcalctool tarball for GNOME 2.16.0 (beta1).

----

Overview of changes in gcalctool 5.8.18

* Work on bug #347700. Added a "Note to translators" comment for the 
  Bksp and Clr button labels.

----

Overview of changes in gcalctool 5.8.17

* Released a gcalctool tarball for GNOME 2.15.4.

----

Overview of changes in gcalctool 5.8.16

* Released a gcalctool tarball for GNOME 2.15.3.

----

Overview of changes in gcalctool 5.8.15

* Fixed bug #343150. Gcalctool no longer crashes when switching to 
  scientific mode.

----

Overview of changes in gcalctool 5.8.14

* Adjusted configure.in so that gcalctool now requires intltool v0.35.0.

----

Overview of changes in gcalctool 5.8.13

* Released a gcalctool tarball for GNOME 2.15.2.

----

Overview of changes in gcalctool 5.8.12

* Fixup compiler warnings from inclusion of last patch.

----

Overview of changes in gcalctool 5.8.11

* Fixed bug #163538 (http://bugzilla.gnome.org/show_bug.cgi?id=163538)
  Backspace results in mal-formed expression.

* = button is now also a one step undo. (This feature was temporary
  disabled by the previous redo/undo patch.)

* Removed gotos from do_expression function. (This change might add
  unstability as this is a major change to the expression mode state
  machine.)

* Functions (such as sin, cos, tan..) can use previously calculated value.

----

Overview of changes in gcalctool 5.8.10

* First cut at an Undo/Redo implementation for use with the arithmetic
  operator precedence mode.

----

Overview of changes in gcalctool 5.8.9

* Respun the gcalctool tarball for GNOME 2.15.1 as the po/*.po files
  were missing.


Overview of changes in gcalctool 5.8.8

* Removed .../po/Makefile.in.in. Shouldn't have been in CVS.
* Released a gcalctool tarball for GNOME 2.15.1.

----

Overview of changes in gcalctool 5.8.7

* Fixed bug #337897. Changes to use po/LINGUAS file.

----

Overview of changes in gcalctool 5.8.6

* Fixed bug #338220. The 'Show trailing zeroes' option in the View menu 
  should now be correctly set [in]sensitive depending upon which mode 
  it's in.

----

Overview of changes in gcalctool 5.8.5

* Fixed bug #332023. The bitwise operators now work in arithmetic operator 
  precedence mode, when you use them with the result of a previous operation.

----

Overview of changes in gcalctool 5.8.4

* Fixed bug #327729. The fields in the memory register window were not 
  correctly aligned in some themes.

----

Overview of changes in gcalctool 5.8.3

* Fixed bug #330867.  Added License info to the Gcalctool About dialog.

----

Overview of changes in gcalctool 5.8.2

* Fixed bug #335095. Gcalctool no longer displays the current mode in 
  the title bar when in Basic mode (due to lack of space).

----

Overview of changes in gcalctool 5.8.1

* Fixed bug #335236. Gcalctool schemas files should be installed if
  built with "--without-gnome".

----

Overview of changes in gcalctool 5.8.0

* Adjustments to the AOP code so that e to the power of x gives the
  correct answer at high precision.

----

Overview of changes in gcalctool 5.7.32

* Released a gcalctool tarball for GNOME 2.14.0 (Final).

----

Overview of changes in gcalctool 5.7.31

* Fix for bug #333078. cvs fails to build due to bg translation of help.

* Inclusion of a translation of gcalctool help for the bg locale.

----

Overview of changes in gcalctool 5.7.30

* Released a gcalctool tarball for GNOME 2.14.0 (RC).

----

Overview of changes in gcalctool 5.7.29

* Released a gcalctool tarball for GNOME 2.14.0 (beta2).

----

Overview of changes in gcalctool 5.7.28

* Released a gcalctool tarball for GNOME 2.14.0 (beta1).

----

Overview of changes in gcalctool 5.7.27

* Refixed bug #323150. The recent changes to the square root and 
  subtraction button labels broke the token parser for arithmetic 
  operator precedence.

----

Overview of changes in gcalctool 5.7.26

* Fixed bug #327124. Changes to fix bug #326344 had the side-effect of 
  causing the CE button to no longer work correctly.

----

Overview of changes in gcalctool 5.7.25

* Fixed bug #327214. The results from performing trig functions were not 
  being passed on to future calculations correctly (in non-arithmetic 
  operator precedence mode).

----

Overview of changes in gcalctool 5.7.24

* Gcalctool now uses U+00F7 (DIVISION SIGN) instead of U+2215 (DIVISION SLASH)
  for label on division button.

----

Overview of changes in gcalctool 5.7.23

* Released a gcalctool tarball for GNOME 2.13.5.

----

Overview of changes in gcalctool 5.7.22

* Fixed bug #323149. Gcalctool now uses the Unicode symbols for division, 
  multiplication, plus/minus, minus and square root.

----

Overview of changes in gcalctool 5.7.21

* Fixed bug #326344. The bit display of large numbers (in non-arithmetic 
  operator precedence mode with the scientific view) now hopefully works 
  correctly.

----

Overview of changes in gcalctool 5.7.20

* Fixed bug #142824. Gcalctool no longer ignores locale specific numeric 
  point in arithmetic operator precedence mode.

* Adjusted all the copyright messages to include 2006.

----

Overview of changes in gcalctool 5.7.19

* Fixed bug #317378 (http://bugzilla.gnome.org/show_bug.cgi?id=317378)
  Gcalctool no longer crashes when you double click the 0 in the display area. 

----

Overview of changes in gcalctool 5.7.18

* Final fix for bug #153854. Now handles the case where the first thing 
  the user does is change mode (Basic, Financial, Advanced, Scientific) 
  in AOP mode.

* Released a gcalctool tarball for GNOME 2.13.4.

----

Overview of changes in gcalctool 5.7.17

* Fixed bug #323150. Sqrt (and other similar operations) no longer fail 
  in non-English locales

----

Overview of changes in gcalctool 5.7.16

* Fixed bug #324001. Primary Selection (middle mouse button) is now working.

----

Overview of changes in gcalctool 5.7.15

* Released a gcalctool tarball for GNOME 2.13.3.

----

Overview of changes in gcalctool 5.7.14

* More work on bug #153854. Similar change to that made on 15th November 
  2005, this time for arithmetic operator precedence mode.

----

Overview of changes in gcalctool 5.7.13

* Slight fixup for bug #157961. The toggling of the first bit in the
  bit panel wasn't working correctly. 

----

Overview of changes in gcalctool 5.7.12

* More work on bug #153854
  If the user has completed a calculation and we are going to a
  new mode that is "compatible" with this one, then just change
  modes. Otherwise display a dialog warning the user that the
  current calculation will be cleared.

  Incompatible modes are:

  Scientific -> Basic
  Scientific -> Advanced
  Scientific -> Financial

  (unless we are in Scientific mode with Decimal numeric base and Fixed).

  These changes work nicely in non-arithmetic operator precedence mode.

----

Overview of changes in gcalctool 5.7.11

* Released a gcalctool tarball for GNOME 2.13.2.

----

Overview of changes in gcalctool 5.7.10

* Fixed bug #316755. Gcalctool no longer has "Gdk-CRITICAL **: 
  gdk_window_invalidate_rect: assertion `window != NULL' failed" 
  warnings at startup.

----

Overview of changes in gcalctool 5.7.9

* Fixed bug #319934. The percent operator was broken in non-arithmetic 
  operator precedence mode.

----

Overview of changes in gcalctool 5.7.8

* Fixed bug #317378 (http://bugzilla.gnome.org/show_bug.cgi?id=317378)
  Exponential notation now works correctly in arithmetic operator
  precedence mode.

----

Overview of changes in gcalctool 5.7.7

* Slight adjustment to the bit panel. It's now centralized.

----

Overview of changes in gcalctool 5.7.6

* Adjusted the mpcmim() routine in mp.c. The fix for Sun bug #4006391
  needed to also preserve v->toclear and v->pointed.

* Work on enhancement request #157961. Started to implement the bit 
  panel for non-arithmetic precedence mode.  It's automatically displayed 
  when in Scientific mode.

----

Overview of changes in gcalctool 5.7.5

* Implemented enhancement request #148104 for arithmetic precedence mode.
  The modulo operation. See entry below for more details.

----

Overview of changes in gcalctool 5.7.4

* Fixed bug #316382. The "useless" cursor is no longer displayed in 
  the calculator display area.

----

Overview of changes in gcalctool 5.7.3

* Implemented enhancement request #148104 for non-arithmetic precedence
  mode. Added in a modulo operation. This is available in Scientic Mode. 
  A Mod B return the remainder when you divide A by B. A and B must be
  integers. Keyboard shortcut for this operation is "M".

----

Overview of changes in gcalctool 5.7.2

* Fixed bug #162453. The memory register dialog now uses GtkEntry widgets 
  to display the register values. Gnopernicus can now correctly speak the 
  contents of each memory register. There is also a close button to easily 
  dismiss this dialog.

----

Overview of changes in gcalctool 5.7.1

* Fixed bug #314540. The memory register window is now a dialog rather 
  than a top-level window.

----

Overview of changes in gcalctool 5.7.0

* Fix to prevent invalid numeric entry in arithmetic operator precedence
  mode, depending upon the current base.

----

Overview of changes in gcalctool 5.6.31

* A number of the bison- and flex-related make rules in 
  .../gcalctool/Makefile.am were broken when builddir != srcdir.

----

Overview of changes in gcalctool 5.6.30

* Fixed bug #314540. The libparser.a library needs ranlib run on it 
  for Mac OS X.

----

Overview of changes in gcalctool 5.6.29

* Fixed bug #314375. Replaced usage of malloc.h with stdlib.h in 
  syntax_translation.c

----

Overview of changes in gcalctool 5.6.28

* Generated release for GNOME 2.12 (RC)

* Changed type of argument in paren_disp from char to int for 64bit.

----

Overview of changes in gcalctool 5.6.27

* Fixed bug #313255. The definitions for BUT_<n>_BAS in gtk.c were incorrect.

Overview of changes in gcalctool 5.6.26

* Generated release for GNOME 2.11.91 (beta2).

----

Overview of changes in gcalctool 5.6.25

* Fixed bug #311306. If the user was in View->Scientific with base Bin, 
  Oct or Hex and then went to View->Basic, then returned to View->Scientific, 
  some of the numeric keys were incorrectly greyed out.

----

Overview of changes in gcalctool 5.6.24

* Fixed bug #310849. Gcalctool no longer crashes when pressing the "B" 
  button (or typing Shift-B).

----

Overview of changes in gcalctool 5.6.23

* Fixed bug #310791. Memory register window view logic was screwed.

----

Overview of changes in gcalctool 5.6.22

* Fixed bug #310441. Adjusted code to compile with gcc 2.95.2.

----

Overview of changes in gcalctool 5.6.21

* Fixed bug #153854. When the user changes modes, a warning dialog is 
  displayed to let them know that their current display will be cleared 
  and the base reset to decimal. The user has the option of checking a 
  toggle box on the dialog, that will prevent this warning from being 
  displayed again.

----

Overview of changes in gcalctool 5.6.20

* Fixed bug #309294. Adjustments to allow gcalctool to successfully build 
  on Solaris with pkgconfig >= 0.17.1.

----

Overview of changes in gcalctool 5.6.19

* Fixed bug #309182. In non-arithmetic precdence mode, gcalctool can now 
  correctly change the sign of the exponent on scientific numbers again.
----

Overview of changes in gcalctool 5.6.18

* Fixed bug #308408. gcalctool can now correctly convert the hexadecimal 
  numbers "A-F" to other bases in "use arithmetic operator precedence mode".

----

Overview of changes in gcalctool 5.6.17

* Fixed bug #305619. Calculations with stored register values in arithmetic 
  operator precedence mode, now work correctly.

----

Overview of changes in gcalctool 5.6.16

* Fixed bug #305034. In "Use Arithmetic Precedence" mode, when switching 
  the format (e.g. from ENG to FIX), the displayed value switches to zero 
  (in the corresponding format, so e.g. 0.0 or 0e+0, ...).

----

Overview of changes in gcalctool 5.6.15

* Fixed bug #305467. gcalctool no longer crashes under the following 
  scenerio:
    - type "f" to bring up the user function menu.
    - dismiss the menu by clicking elsewhere with the mouse.
    - type another character which isn't in the range "0" to "9".

----

Overview of changes in gcalctool 5.6.14

* Did a gcalctool tarball release.

----

Overview of changes in gcalctool 5.6.13

* Fixed bug #304056. Adjusted the keyboard shortcuts for the Xor and x^y 
  operations. New values are:
      Xor - 'x'
      x^y - '^'

----

Overview of changes in gcalctool 5.6.12

* Fixed bug #302555. Various gcalctool variables have now been const'ified.

----

Overview of changes in gcalctool 5.6.11

* Fixed bug #300957. Replaced the underscore character in 
  "translator_credits" with a hyphen, to prevent some 
  translation tools from being confused.

----

Overview of changes in gcalctool 5.6.10

* More work on bug #172704. 
  - Adjusted the code to not try to display a menu when the user 
    entered a left parentheses (another do_pending() type of operation).
  - Toggling the "Show Trailing Zeroes" operation via keyboard
    shortcuts, needed to clear the v-.pending flag.

----

Overview of changes in gcalctool 5.6.9

* Fixed up some problems reported by lint.

----

Overview of changes in gcalctool 5.6.8

* Fixed bugs #172704 and #172869. When the user now uses the keyboard shortcut 
  for any of the gcalctool buttons that have a menu associated with them, that 
  menu is now displayed. The user can use the arrow keys to select a menu item 
  or the menu items shortcut.

----

Overview of changes in gcalctool 5.6.7

* Fixed bug #171393. Allow stock labels to show through.

----

Overview of changes in gcalctool 5.6.6

* Refixed bug #158280. The Help->Contents menu item no longer appears if 
  gcalctool is built Gtk-only.

----

Overview of changes in gcalctool 5.6.5

* Fixed bug #172798. gtk_set_locale was already being run by gtk_init() 
  and the gtk about popup didn't have the gcalctool icon.

----

Overview of changes in gcalctool 5.6.4

* Fixed Sun internal CR #6214176. If gcalctool is being driven by gok, 
  the on-screen keyboard assistive technology, it's possible that the 
  event returned by gtk_get_current_event() is NULL. If this is the 
  case, we need to fudge the popping up on the menu associated with 
  this menu button.

----

Overview of changes in gcalctool 5.6.3

* Fixed bug #158280. You can now build gcalctool without the GNOME 
  libraries by specifying "--disable-gnome" on the configure command 
  line.

----

Overview of changes in gcalctool 5.6.2

* Fixed bug #167479. gcalctool with set the View->Memory Registers menu 
  item inactive if the calculator is in Basic mode.

----

Overview of changes in gcalctool 5.6.1

* Fixed bug #168694. gcalctool now saves/restores the ten memory 
  register values as gconf resources.

* Removed the redundant process_str() routine in graphics.c

----

Overview of changes in gcalctool 5.6.0

* Fixed bug #169196. gcalctool now uses use g_get_home_dir().

* Added in a better implementation of the trig_filter() routine in 
  functions.c

----

Overview of changes in gcalctool 5.5.41

* Version for GNOME 2.10.0 (final) call for tarballs.

----

Overview of changes in gcalctool 5.5.40

* Version for GNOME 2.10.0 (rc1) call for tarballs.

----

Overview of changes in gcalctool 5.5.39

* Partial fix for bug 168385. "F+F=" wasn't working in arithmetic operator 
  precedence mode.

----

Overview of changes in gcalctool 5.5.38

* Changes to make the trigonometric code work with hyp and inv properly.

----

Overview of changes in gcalctool 5.5.37

* Left and Right shift operations weren't working correctly. Menu
  name comparison in mb_proc() in gtk.c was incorrect.

----

Overview of changes in gcalctool 5.5.36

* The fix for bug #162998 was incorrect when in Arithmetic Precedence mode.
* Exch functionality was incorrect in Arithmetic Precedence mode.

----

Overview of changes in gcalctool 5.5.35

* Fixed bug 167124. One of the entries in the words[] array in 
  syntax_translation.c was accidentally commented out.

----

Overview of changes in gcalctool 5.5.34

* Fixed bug 166634. Call to create the About box was missing a 
  NULL terminator.

----

Overview of changes in gcalctool 5.5.33

* Adjusted all copyright messages to be 2005.
* Version for GNOME 2.10.0 (beta2) call for tarballs.

----

Overview of changes in gcalctool 5.5.32

* Fixed bug #165522. Made the status bar non-resizable.

----

Overview of changes in gcalctool 5.5.31

* Various code cleanups. It moves some declarations of static functions 
  to the corresponding .c files. It also cuts down the number of 
  included files, moving some includes to where they are needed from 
  calctool.h.

----

Overview of changes in gcalctool 5.5.30

* Adjusted the About dialog to use the latest GtkAbout widget.

----

Overview of changes in gcalctool 5.5.29

* Version for GNOME 2.10.0 (beta1) call for tarballs.

----

Overview of changes in gcalctool 5.5.28

* Fixed bug #162998. The "menu" buttons in gcalctool now responds 
  to the "clicked" event rather than the "button-press-event" to 
  allow gok, the on-screen keyboard to function properly.

* Fixed bug #159957. Input number in FIX mode now make mimimal changes 
  to (i.e append a single character) the display rather than completely 
  delete and insert it. The is helpful to assistive technologies like 
  gnopernicus.

----

Overview of changes in gcalctool 5.5.27

* Fixed bug #164184. Adjusted location of comments in syntax_translation.c 
  so that the L10N message translation software isn't confused.

----

Overview of changes in gcalctool 5.5.26

* Fixed bug #163468. Pressing "(<Del>)" would cause gcalctool to crash.

----

Overview of changes in gcalctool 5.5.25

* Version for GNOME 2.9.4 call for tarballs.

----

Overview of changes in gcalctool 5.5.24

* Couldn't use the "#" key to select constants as this symbol was
  a lower-case symbol on his keyboard.

* Powers that were a multiple of 30 (10 as well as 3) would not 
  display correctly, having a 4 digit significand. Further testing 
  showed that without the fix the following powers had a 4 digit 
  significand: 27,30, 57,60, 90, 96 (and every 3 from here on).

----

Overview of changes in gcalctool 5.5.23

* Fixed bug #161976. configure.in now checks to make sure that atk >= 1.5

----

Overview of changes in gcalctool 5.5.22

* Fixed bug #155101. Made the gcalctool window resizable. 

----

Overview of changes in gcalctool 5.5.21

* Version for GNOME 2.9.3 call for tarballs.

----

Overview of changes in gcalctool 5.5.20

* Fixed bug #160929. Removed the "Mode" word from each of the different 
  mode menu items in the gcalctool View menu.

----

Overview of changes in gcalctool 5.5.19

* Fixed bug #157701. gcalctool can now use real multiplication and division 
  symbols instead of "*" and "/". 

----

Overview of changes in gcalctool 5.5.18

* Fixed bug #160088. Adjusted the titlebar text so that it doesn't include 
  the word "Mode" which was getting chopped when the calculator was in 
  Basic mode.

----

Overview of changes in gcalctool 5.5.17

* Fixed bug #157962. Added in a set of three colors for gcalctool that 
  will work with the default theme. To use them, the "gcalctoolrc" file 
  supplied with the source distribution needs to be moved to ~/.gcalctoolrc

----

Overview of changes in gcalctool 5.5.16

* Generated gcalctool tarball for the GNOME 2.9.2 release.

----

Overview of changes in gcalctool 5.5.15

* Adjusted the scroll_right() routine to only scroll right if the 
  horizontal scroll bar is visible.

----

Overview of changes in gcalctool 5.5.14

* Fixed bug #158357. Removed the -DGNOME_DISABLE_DEPRECATED and the 
  -DGTK_DISABLE_DEPRECATED flags from the INCLUDES definition in 
  .../gcalctool/Makefile.am for now, to allow it to successfully build
  against the latest GNOME/Gtk+.

* Slight adjustment to correct check the Advanced mode menu item when
  the user had previously terminated gcalctool in that mode.

----

Overview of changes in gcalctool 5.5.13

* Changed the names of the gconf mode type key so that there is backward 
  compatibility.

* Reset the initial default mode to BASIC.

----

Overview of changes in gcalctool 5.5.12

* Fixed bug #157757. The horizontal scrollbar for the display area will 
  now only be visible when needed. It will also display the rightmost part 
  of the display as you are entering new input.

----

Overview of changes in gcalctool 5.5.11

* Added in a very basic mode for gcalctool. Rather than calling this a 
  "Light" mode, the existing "Basic" mode is now renamed to "Advanced" 
  and the new basic mode is called "Basic".

----

Overview of changes in gcalctool 5.5.10

* Fix for bug #157021. X^Y now works for -X with integer Y. -X with
  non-integer Y will now display a descriptibe error in the status bar.

----

Overview of changes in gcalctool 5.5.9

* Generated gcalctool tarball for first GNOME 2.9 release.

----

Overview of changes in gcalctool 5.5.8

* Slight adjustment to bug #152301. The tooltip message had been tweaked to 
  "Show the About Gcalctool dialog".

----

Overview of changes in gcalctool 5.5.7

* Fixed bug #152301. Adjusted the tooltip message for Help->About... from 
  "Show about help" to "Show the about dialog", to make it more understandable.

----

Overview of changes in gcalctool 5.5.6

* Fixed bug #153726. Gcalctool will now build correctly when using the 
  -fno-common option for gcc (3.3.4).

----

Overview of changes in gcalctool 5.5.5

* Numerical answer localization and thousand separator support for 
  arithmetic precedence mode.

* If the accuracy was changed via one of the ten preset menu items in the 
  Acc menu, the tooltip wasn't getting correct updated with the new accuracy.

----

Overview of changes in gcalctool 5.5.4

* Further changes to the "Set Precision" popup (rfe #147803):
  - "Significant places" not "Significant Places".
  - Change "Set Precision..." to be "Other (12) ..." (where "(12)" is the 
    current precision, and be in the same radio box group as the other menu 
    items. Check the appropriate menu entry.
  - Adjust the Acc button tooltip to show the current accuracy too.
  - When the user attempts to enter an invalid entry in the Set Precision 
    popup, an error message is shown in the main gcalctool status bar.
  - the other Acc radio button items (0-9) need to have mnemonics (_0, _1 ...).

* Fixed bug #152790. Most of the changes needed were already in CVS; there 
  was one compiler warning that still needed to be removed.

* Storing the display value to a memory register was not updating the memory 
  register window, if it was visible.

----

Overview of changes in gcalctool 5.5.3

* Added in functionality to set the number of significant places > 9.
  There is a new menu item under the Acc menu called "Set Precision..."
  that brings up a small popup allowing you to set precision between 0
  and MAXACC significant places (where MAXACC is currently 30).

----

Overview of changes in gcalctool 5.5.2

* Fixed up numerous warnings generated by running lint on the gcalctool code.
  Removed unused variables and functions. Declared routines statically where 
  possible.

----

Overview of changes in gcalctool 5.5.1

* Fixed bug 148581. Changes to get latest gcalctool compiling on a BSD system.

----

Overview of changes in gcalctool 5.5.0

* Major new release of gcalctool. Incorporates an arithmetic operator
  precedence mode (currently the default while it's been debugged). To get
  the old style, uncheck View->Use Arithmetic Precedence from the menu bar.
* The "(" and ")" buttons have moved from the scientific mode into the
  Basic mode so that they are now available to users who need them but not
  everything that the Scientific mode provides.
* There is a footer message area that provides feedback.
* The display area now has an horizontal scrollbar.
* Typing in the keyboard shortcuts for the various gcalctool buttons
  autocompletes their entry into the display area.
* Tooltips show button's shortcut.

----

Overview of changes in gcalctool 4.4.13

* Remainder of the fix for bug #143924. Control-T shouldn't work in Basic 
  or Financial modes. 

----

Overview of changes in gcalctool 4.4.12

* Partial fix for bug #143924. After an error condition, the "Show 
  Trailing Zeroes" menu item is only activated if the user is in 
  Scientific mode.

----

Overview of changes in gcalctool 4.4.11

* Fixed bug 138106. In Basic or Financial mode, "Error" was been 
  incorrectly display if you user has "Show Thousands Separator" set.

----

Overview of changes in gcalctool 4.4.10

* Fixed bug 144031. gcalctool checked for the presence of the X11 
  libraries but doesn't need to.

----

Overview of changes in gcalctool 4.4.9

* Selecting Help->About from the menubar now works again.

----

Overview of changes in gcalctool 4.4.8

* Adjusted the creation of the menubar and the Accuracy and Left/Right 
  shift menus from GtkItemFactory to GtkUIManager.

----

Overview of changes in gcalctool 4.4.7

* Fixed bug 142824. gcalctool now correctly recognizes the localized 
  decimal point character.

----

Overview of changes in gcalctool 4.4.6

* Fixed bug 129397. Use GtkIconTheme to load gcalctool icon instead of
  built-in image.

----

Overview of changes in gcalctool 4.4.5

* Fixed bug 142888. Gcalctool is now connected to the "die" signal so 
  that it can be successfully terminated when removed from 
  gnome-session-properties.

----

Overview of changes in gcalctool 4.4.4

* The "Bsp" button label has been changed to "Bksp" to make it more 
  understandable.

----

Overview of changes in gcalctool 4.4.3

* Fixed bug 138106. If the "Error" message is being displayed, it is now 
  no longer incorrectly displayed as "Er,ror" if the "Show Thousands 
  Separator" is on.

----

Overview of changes in gcalctool 4.4.2

* Fixed bug 135068. Adjusted several default constant descriptions to be 
  more understandable. 

----

Overview of changes in gcalctool 4.4.1

* Fixed bug 135065. Tooltips for OR, AND, NOT, XOR and XNOR have been 
  changed from "Logical <whatever>" to "Bitwise <whatever>". 

----

Overview of changes in gcalctool 4.4.0

* Fixed bug 136872. gcalctool can now be built with "CFLAGS=-fdata-sections".

----

Overview of changes in gcalctool 4.3.51

* Version for GNOME 2.6 (FINAL) call for tarballs. Includes:
  - new locales for pa, en_GB, bg and ga.
  - localized online user documentation from the Sun translation team.
    for de, es, fr, it, ja, ko, sv, zh_CN, zh_HK and zh_TW.

----

Overview of changes in gcalctool 4.3.50

* One more slight adjustment to the fix for bug 135064.
  Entering numbers that start with the numeric point character ('.")
  are now visibly displayed.

----

Overview of changes in gcalctool 4.3.49

* Adjustment to the fix for bug 135064. Fix to remove a potential spurious 
  initial thousands separator character after a change sign operation.

----

Overview of changes in gcalctool 4.3.48

* Fixed bug 135064. Changing the sign of a large number (when "Show 
  Thousands Separator" is on and this is not the C locale), no longer 
  corrupts the display.

----

Overview of changes in gcalctool 4.3.47

* Fixed bug 135328. Added Shift-slash as a recognized alternate for the 
  divide operation (needed by the be-latin1 keyboard layout).

----

Overview of changes in gcalctool 4.3.46

* Fixed bug 134540. gcalctool now correctly handles the digits 0123456789 
  which are shifted about the accented characters on a French keyboard.

----

Overview of changes in gcalctool 4.3.45

* Fixed bug 134484. Doing "3 x! x! x!" no longer causes gcalctool to lock up. 

----

Overview of changes in gcalctool 4.3.44

* Fixed bug 133764.
  - "Gradients" was still appearing when in Scientific mode (instead of 
    "Gradians".
  - In the x^2 button, the 2 should not be italicized.
  - In the x^2 and x^y buttons, the x should be italicized.
  - The View Thousands Separator menu item should not remain active during 
    an error condition.

----

Overview of changes in gcalctool 4.3.43

* Fixed bug 133590. The About box now lists the documenters of gcalctool. 

----

Overview of changes in gcalctool 4.3.42

* Fixed bug 132582. Adjusted the gcalctool titlebar to use a hyphen 
  (rather than square brackets) to show what mode the user is currently 
  using.

----

Overview of changes in gcalctool 4.3.41

* Fixed bug 132570. Adjusted UI to use spacing to delineate groups rather 
  than frames (per the HIG).

----

Overview of changes in gcalctool 4.3.40

* Fixed bug 131571. User defined constants are now read/written out (as 
  gconf resources) with no thousands separator and with a radix of ".". 

----

Overview of changes in gcalctool 4.3.39

* Fixed bug 131594. The "Insert ASCII View..." menu item and the 
  "Insert" button no longer use the GTK_STOCK_CONVERT stock icon 
 (as per the HIG).

----

Overview of changes in gcalctool 4.3.38

* Fixed bug 131059. Fix to allow the thousands separator to be used 
  correctly with the creation of the initial constant values in the 
  Russian locale. 

----

Overview of changes in gcalctool 4.3.37

* Fixed bug 130078. Changed the y^x button label to x^y (really x 
  superscript y). Adjusted the tooltip message to "Raise displayed 
  value to the power of y".

----

Overview of changes in gcalctool 4.3.36

* Fixed bug 130282 again. Needed to remove the "|| tsep[0] == '\0'" check 
  from the get_tsep() routine in order to get the thousands separator to 
  correctly work in all locales. Note that there is no thousands separator 
  now for the C locale.

----

Overview of changes in gcalctool 4.3.35

* Fixed part of bug 126125. If the user entered: "1+(2()<backspace>)", 
  this resulted in an answer of 0. 

----

Overview of changes in gcalctool 4.3.34

* Fixed bug 130187. When gcalctool changes modes now, it's internal state 
  and the display are cleared.

----

Overview of changes in gcalctool 4.3.33

* Fixed bug 130282. Fixes for more problems with the thousands separator 
  in certain locales, plus correct handling of the radix character with 
  the initial constant values.

----

Overview of changes in gcalctool 4.3.32

* Fixed bug 128603 again. The solution this time was to duplicate the 
  initial string constant values to be confident that they are not in 
  read-only memory.

----

Overview of changes in gcalctool 4.3.31

* Fixed bug 129539.  The thousands separator is a null terminated string, 
  not a single character. Same for the radix.

----

Overview of changes in gcalctool 4.3.30

* Fixed bug 129496. "Gradients" should be "Gradians".

----

Overview of changes in gcalctool 4.3.29

* Fixed bug 128603. The changes for enhancement request #126626 which added 
  thousands separator support caused a crash at startup time on a Debian 
  system. The initial constant strings are being put in read-only memory 
  either by gcc (or because of the way that x86 arch is designed). This was 
  not a problem when tested with the Sun compilers on a Solaris SPARC machine.
  The remove_tsep() routine is display.c has been rewritten to correctly 
  handle this.

----

Overview of changes in gcalctool 4.3.28

* Further work on enhancement request 125873. As the user is typing in 
  input, the display will now show the thousands separator (if checked).

----

Overview of changes in gcalctool 4.3.27

* On a Solaris keyboard, Shift-"^" is GDK_asciicircum/GDK_SHIFT_MASK.
  This keyval/state pair needed to be added to the Xor recognized mappings.

----

Overview of changes in gcalctool 4.3.26

* Re-fixed bug 127672. The fix for Shift-"=" should have been for GDK_equal 
  not GDK_Return.  Needed to add in support for Shift-"/" too.

----

Overview of changes in gcalctool 4.3.25

* Implemented enhancement request 125873. gcalctool can now optionally 
  show the thousands seperator character for fixed point numbers displayed 
  in the decimal base. Same for numbers stored in the memory registers. 
  There is a new "Show Thousands Separator" menu entry in the View menu 
  to set this.

----

Overview of changes in gcalctool 4.3.24

* Fixed bug 126626. gcalctool no longer causes a Gtk-CRITICAL error when 
  the user enters "9*(1<Xor>". The problem was caused because a non-UTF 
  character was being inserted into the text string to be displayed for 
  the Xor function.

----

Overview of changes in gcalctool 4.3.23

* Fixed bug 125782. If the user is entering a left parenthesis and it is 
  the first one being displayed and there is no current arithmetic operand,
  then the current display is initially cleared to avoid the confusion of 
  showing something like "0(".

----

Overview of changes in gcalctool 4.3.22

* Fixed bug 127862. The fix for bug #125625 introduced a potential 
  out-of-order case for users who are rapid keyboard typers. This 
  bug fix rectifies this with the unfortunate side-effect of no longer 
  visual toggling the equivalent button to the keyboard character 
  that the user entered. This fix is still compatible with the way 
  the accessibility infrastructure works though.

----

Overview of changes in gcalctool 4.3.21

* Fixed bug 65806. For the "1/x", "x^2", "x!", "e^x", "10^x" and 
  "y^x" labels, all occurances of "x" and "y" are now italicized.
  The "e" in "e^x" is no longer italicized.

----

Overview of changes in gcalctool 4.3.20

* Fixed bug 127316. The "fix" introduced in gcalctool v4.1.18 to fix Sun 
  Bugtraq bug #1258472 against CDE dtcalc (which was also a problem with 
  gcalctool) was incorrect.

----

Overview of changes in gcalctool 4.3.19

* Fixed bug 127672. The "=" key on a Swedish keyboard is on the upper 
  level of a key (i.e. the Shift key needs to be down). Added another 
  mask/keysym pair to the "=" entry to handle this.

----

Overview of changes in gcalctool 4.3.18

* Fixed bug 125625. gcalctool now handles "clicked" events rather than 
  "pressed" ones.

----

Overview of changes in gcalctool 4.3.17

* Fixed bug 124928. Plugged several memory leaks.

----

Overview of changes in gcalctool 4.3.16

* Fixed bug 124377. Fixed rounding errors when the radix character for a 
  locale isn't ".".
* Online help updated for various recent (small) changes.

----

Overview of changes in gcalctool 4.3.15

* Fixed bug 124172. The "+" character on a German keyboard is on the lower 
  level of a key (i.e. the Shift key doesn't need to be down). Added another
  mask/keysym pair to the "+" entry to handle this.

----

Overview of changes in gcalctool 4.3.14

* Fixed bug 120737. Changed the accessible text for the OR button from 
  "Logical OR" to "logical OR" so that it's not changed by FreeTTS's 
  token to words module to "logical Oregon".

----

Overview of changes in gcalctool 4.3.13

* Fixed bug #123948. Removed the GTK_DISABLE_DEPRECATED flag from
  .../gcalctool/gcalctool/Makefile.am, to allow the depreciated
  GtkItemFactory, to successfully build.

----

Overview of changes in gcalctool 4.3.12

* Fixed bug 123724. Hitting Esc now does the same as hitting 
  Control-Backspace; i.e. the CE (clear entry) functionality.
* Updated the gcalctool man pages to reflect this change, and the changes
  for bug #118826.

----

Overview of changes in gcalctool 4.3.11

* Refixed bug 122373. gcalctool now uses nl_langinfo() to get the numeric 
  point for the users locale, rather than via a localised string.

----

Overview of changes in gcalctool 4.3.10

* Fixed enhancement #65806. Changed that label for e^x (e superscript x) to 
  use an italised "e".

----

Overview of changes in gcalctool 4.3.9

* Fixed bug 118826. The keyboard shortcuts for the six hex. digits are 
  now "A" to "F". The functions that previously used those letters have 
  been reassigned to their lowercase equivalents. 

----

Overview of changes in gcalctool 4.3.8

* Fixed bug 122408. The tooltips for the numeric buttons (0-9) have been 
  removed as they are redundant.

----

Overview of changes in gcalctool 4.3.7

* Fixed bug 120749. When gcalctool is displaying a menu, typing Alt+Tab 
  can no longer switch windows.

----

Overview of changes in gcalctool 4.3.6

* Fixed bug 120745 (http://bugzilla.gnome.org/show_bug.cgi?id=120745)
  Accessible names have now been added to each of the widgets in the 
  mode panel when in Scientific mode.

----

Overview of changes in gcalctool 4.3.5

* Fixed bug 122373. The decimal separator is now a translatable string so 
  that other locales that don't use a period can adjust accordingly.

----

Overview of changes in gcalctool 4.3.4

* Fixed bug 120605. Gcalctool debug messages are no longer translatable 
  strings.

----

Overview of changes in gcalctool 4.3.3

* Build for GNOME 2.4 (Final). Tag in CVS is GCALCTOOL_4_3_3

----

Overview of changes in gcalctool 4.3.2

* Fixed bug 119888. gcalctool keyboard handling has been improved.

----

Overview of changes in gcalctool 4.3.1

* Fixed bug 119832. The space bar can now correctly activate the button 
  that has focus.

----

Overview of changes in gcalctool 4.3.0

* Build for GNOME 2.4 (Beta1). Tag in CVS is GCALCTOOL_4_3_0

----

Overview of changes in gcalctool 4.2.104

* Fixed bug 118246. The display field can now take focus. The initial 
  widget with focus is the Clr button.

----

Overview of changes in gcalctool 4.2.103

* (Bug #118247) Three more small adjustments to AccessibleName text:
  "E to the power of x" goes back to "E to the x"
  "Ten to the power of x" goes back to "Ten to the x"
  "Y to the power of x" goes back to "Y to the x"

----

Overview of changes in gcalctool 4.2.102

* (Bug #118247) Four small adjustments to AccessibleName text:
  "Random" becomes "Random number"
  "E to the x" becomes "E to the power of x"
  "Ten to the x" becomes "Ten to the power of x"
  "Y to the x" becomes "Y to the power of x"

----

Overview of changes in gcalctool 4.2.101

* Fixed bug 118247. Each gcalctool button now has an AccessibleName.

----

Overview of changes in gcalctool 4.2.100

* Fixed bug 117691. The GDK_Up, GDK_Down, GDK_Left and GDK_Right keysyms are 
  not valid equivalents for the 8, 2, 4 and 6 keys. They are needed for 
  keyboard navigation.

----

Overview of changes in gcalctool 4.2.99

* Bumped version number for GNOME 2.3.4 release, to include John's doc
  build changes.

----

Overview of changes in gcalctool 4.2.98

* Fixed bug 116944. Various HIG improvements to the edit constants, edit 
  functions, and insert ASCII value dialogs. 

----

Overview of changes in gcalctool 4.2.97

* Further work on bug 116727. A simpler fix was found.

----

Overview of changes in gcalctool 4.2.96

* Fixed bug 116727. When the calculator display is showing an error message,
  it is now correctly localized.

----

Overview of changes in gcalctool 4.2.95

* Fixed bug 115950. The "*" key wasn't being recognized as a keyboard 
  shortcut for multiplication.

----

Overview of changes in gcalctool 4.2.94

* Further work on bug 114364. The items in the constants menu are now always 
  displayed in the decimal numeric base. This is consistent with the way that 
  calctool in the OpenWindows DeskSet worked.

----

Overview of changes in gcalctool 4.2.93

* Fixed bug 114364. When you select "Edit Constants" from the Con menu, the 
  values of each constant are shown in Decimal. The label:
  "All constant values are specified in the decimal numeric base"
  has also been added to the "Edit Constant" popup to clarify this.

----

Overview of changes in gcalctool 4.2.92

* Fixed bug 115653. Adjusted the keyboard mnemonic checking code to now 
  check to make sure that neither of the Alt keys is pressed when comparing 
  against button equivalents.

----

Overview of changes in gcalctool 4.2.91

* Similar problem to bug #115212 but for the "Edit Constants" and
  "Edit Functions" dialog boxes. gcalctool no longer can display
  multiple versions of them.

----

Overview of changes in gcalctool 4.2.90

* Fixed bug 114363 (http://bugzilla.gnome.org/show_bug.cgi?id=114363)
  When an error condition occurs:

  - make insensitive all buttons except Clr.
  - make all Scientific mode toggles and checkboxes insensitive.
  - make all menubar items insensitive except:
      Calculator->Quit
      Help->Contents

  When the error condition is cleared, resensitise everything, setting
  the numeric base buttons correctly.

----

Overview of changes in gcalctool 4.2.89

* Fix for bug #115212. gcalctool no longer can display multiple About boxes.

----

Overview of changes in gcalctool 4.2.88

* Fix for bug #108209. The appropriate gcalctool button is now animated 
  when the user enters that value via the keyboard.

----

Overview of changes in gcalctool 4.2.87

* Partial fix for bug 114363. When the calculator display is showing "Error",
  the Constant values and the Memory Register values no longer incorrectly
  show "Error" as well.

----

Overview of changes in gcalctool 4.2.86

* Fixed bug 113703. You can now specify an alternate location for
  the gcalctool schemas file with: --with-gconf-source=whatever

----

Overview of changes in gcalctool 4.2.85

* Fixed bug 113754. Decimal point didn't work with a German keyboard if 
  Numlock was turned on.

----

Overview of changes in gcalctool 4.2.84

* Install "gnome-calculator" symlink as reqested by Glynn Foster.

----

Overview of changes in gcalctool 4.2.83

* Fixed Bugzilla bug 111269. It was possible to type fast into gcalctool 
  and digits would be transposed. 

----

Overview of changes in gcalctool 4.2.82

* Refixed bug 110416.  Concatenated more error messages in mp.c.
* Adjusted the Acc menu entries to be "<n> significant places" rather than 
  "<n> radix places".
* Replaced "kilometers per hour / miles per hour" with "kilometers per hour 
  or miles per hour" in the first constant description.
* Replaced occurances of "/" in the other constant descriptions with "or".

----

Overview of changes in gcalctool 4.2.81

* Translators: The documentation is now ready for translation!

* Updated the following files:
    * configure.in: updated version number to 4.2.81
    * help/C/gcalctool.xml: first approved draft, ready for translation
    * help/C/gcalctool-C.omf: updated manual date and version number
    * help/C/l10n.txt: new file added 
    * help/C/figures/gcalctool_edit_const_window.png: deleted
    * help/C/figures/gcalctool_edit_func_window.png: deleted
    * help/C/figures/gcalctool_ins_ascii_window.png: deleted
    * help/C/figures/gcalctool_mem_reg_window.png: deleted

----

Overview of changes in gcalctool 4.2.80

* Fixed Bugzilla bug 110416. Various fprintf statements in mp.c have been 
  concatenated to help translators.

----

Overview of changes in gcalctool 4.2.79

* Added in latest online help changes from Breda McColgan. This should now 
  put the online help in sync with the actual functionality of gcalctool.

----

Overview of changes in gcalctool 4.2.78

* Made translated menu entries actually visible. fixed some tooltips, added
  AC_PREREQ macro to configure.in.

----

Overview of changes in gcalctool 4.2.77

* This version announced on gnome-announce.

----

Overview of changes in gcalctool 4.2.76

* Slight adjustments to Bugzilla bug 108226 . Menu item is now
  "Show Trailing Zeroes", with a Control-T accelerator. Added a similar
  menu item to the View menu on the menu bar.

----

Overview of changes in gcalctool 4.2.75

* Fixed Bugzilla bug 108729. 

  Added tooltips to the radio and check buttons in scientific mode.

----

Overview of changes in gcalctool 4.2.74

* Fixed Bugzilla bug 108226.

  The menu items in the Acc menu are now "tickable", so you know what the
  current accuracy selection is. Setting one of these clears the previous one.
 
  A new "remove trailing zeroes" menu item is added to the Acc menu (last
  item, with a separator just above), that is "tickable". This tick doesn't
  affect the accuracy ticks. It's either on or off.
 
  The default setting for accuracy now becomes 9 numeric places and "remove 
  trailing zeroes".
 
  The Acc button is moved to the Scientific mode (clear slot in the top 
  right corner, above the Rand.
 
  The Base radio button group and the display type radio button group in 
  the mode panel in Scientific mode are now moved to the right side to be
  close in proximity to the Acc button. The other mode items move to the 
  left side.

----

Overview of changes in gcalctool 4.2.73

* Fixed Bugzilla bug 108208. The default value for the "showregisters" 
  resource in gcalctool.schemas was incorrectly set.
* There should be no "default:" action in the command line parsing in 
  get_options(). 

----

Overview of changes in gcalctool 4.2.72

* Correctly fixed Bugzilla bug 108219. The previous fix didn't correct 
  set the radio buttons when changing mode from Scientific to Basic or 
  Financial. Only the internal state.

----

Overview of changes in gcalctool 4.2.71

* Further fix for Bugzilla bug 108209. Followup changes to make the numeric 
  keypad animate the buttons on Linux machines.

----

Overview of changes in gcalctool 4.2.70

* Fixed Bugzilla bug 108219.
  When you go from Scientific mode to either Basic or Financial mode, 
  the calculator will revert to "Dec" base in "Fix" notation.
  Any number in the display (and the memory registers if shown) will be 
  converted accordingly.
  When you are in a mode (Basic, Financial, or Scientific) you will only 
  be able to do the functionality that that mode shows.

----

Overview of changes in gcalctool 4.2.69

* Fixed Bugzilla bug 108333. The gcalctool buttons with menus associated 
  with them are now keyboard navigable.

----

Overview of changes in gcalctool 4.2.68

* Fixed Bugzilla bug 108209. When the user uses the keyboard to enter data,
  the associated gcalctool button will be animated.

----

Overview of changes in gcalctool 4.2.67

* Fixed Bugzilla bug 108210. Main gcalctool window is no longer resizable.

----

Overview of changes in gcalctool 4.2.66

* Incorporated various changes to the online help Breda McColgan in
  the Sun GNOME doc. team.  Translators, please do not translate yet.
  See ChangeLog for more information.

----

Overview of changes in gcalctool 4.2.65

* Added scrollkeeper checks into configure.in.
* Fixed warning message:

  ** (gcalctool:27091): WARNING **: Help error: Unable to find the 
  GNOME_FILE_DOMAIN_APP_HELP domain

----

Overview of changes in gcalctool 4.2.64

* Added in a first (draft) version of online help from Breda McColgan in
  the Sun GNOME doc. team.  Translators, please do not translate yet. See
  ChangeLog for more information.

----

Overview of changes in gcalctool 4.2.63

* Abstracted the key values and modifiers.

----

Overview of changes in gcalctool 4.2.62

* Adjusted the tooltip help to be minimalist messages.

----

Overview of changes in gcalctool 4.2.61

* Small adjustment to allow gcalctool to compile using the Solaris Forte
  compilers.

----

Overview of changes in gcalctool 4.2.60

* Gcalctool wasn't saving the trigonometric type when it was changed.

----

Overview of changes in gcalctool 4.2.59

* Added Brazilian Portuguese (pt_BR) to ALL_LINGUAS.

----

Overview of changes in gcalctool 4.2.58

* Allows Backspace to now correctly work inside parentheses.

----

Overview of changes in gcalctool 4.2.57

* The Xor logical operation wasn't being performed correctly.
* Hitting Clr was not correctly clearing the Hyp and Inv trigonometric
  checkboxes.

----

Overview of changes in gcalctool 4.2.56

* Removed the final period from the ten default constant descriptions.
* Changed occurances of "kilometre" to "kilometer" and "centimetre" to
  "centimeter".
* Fixed up the values of the ten default constant definitions in the
  manual pages.
* The "centimeters <=> inches" default constant should be 0.3937007
  rather than 2.54 to be consistent with the other constants.

----

Overview of changes in gcalctool 4.2.55

* Entering "(<Delete>)" no longer crashes gcalctool.

----

Overview of changes in gcalctool 4.2.54

* The financial Term tooltip example now works.
* Moved the Exp button to the right of the Con and Fun buttons for better
  grouping.

----

Overview of changes in gcalctool 4.2.53

* Fixed Bugzilla bug 106501. Added bullet proofing to prevent user 
  backspacing off the end of the display string.

----

Overview of changes in gcalctool 4.2.52

* Toggled the positions of the Sto and Rcl buttons.

----

Overview of changes in gcalctool 4.2.51

* No longer crashes if the user Pastes in an empty clipboard value.
* Now uses a text view for its display widget.

----

Overview of changes in gcalctool 4.2.50

* Fixes to the manual page:
  - the keyboard shortcut for the "Term" function is "t" not "T".
  - removed the LOGICAL mode section.

----

Overview of changes in gcalctool 4.2.49

* The display label and mode no longer expand when the calculator is resized. 
* Replace the three characters of white space in the title bar text with one
  space character, so more of the title fits into the task window list applet.

Overview of changes in gcalctool 4.2.48

* Added a launcher to the GNOME's Accessories menu.

----

Overview of changes in gcalctool 4.2.47

* Marks the menu labels for translation.

----

Overview of changes in gcalctool 4.2.46

* Various cleanup, to make gcalctool be more like other GNOME applications.

----

Overview of changes in gcalctool 4.2.45

* Fixed Bugzilla bug 104249. The UI for adding new or editing existing 
  constants and/or functions has been improved.

----

Overview of changes in gcalctool 4.2.44

* Fixed Bugzilla bug 104830. gcalctool now uses gnome-calc3.png as its icon
  (same as the current gnome-calculator)

----

Overview of changes in gcalctool 4.2.43

* Further slight adjustments needed to fix Bugzilla bug 104248. The memory 
  registers window now displays correctly again.
* Fixed Bugzilla bug 104240. The "File" menubar item is now called 
  "Calculator", and there is a set of unique mnemonics for the various 
  items in the Scientific mode panel. The gcalctool manual pages have been 
  updated to reflect these changes. 
* Added in a Control-I mnemonic for Edit->Insert ASCII Value.
  Added in a Control-A mnemonic for Help->About.

----

Overview of changes in gcalctool 4.2.42

* Fixed Bugzilla bug 104248. The View->Memory Registers menu item's toggle 
  is now set correctly depending upon whether the memory register windows 
  is visible or hidden. 
* The correct radio item is now set in the View menu mode menu item entries 
  if gcalctool is initially started in Financial or Scientific mode.

----

Overview of changes in gcalctool 4.2.41

* The constant and function definitions are now read and written as Gconf
  resources.
* Fixed Bugzilla bug 104250. The constant and the function menu items now 
  have "C<n>:" and "F<n>:" prefixes respectively, where <n> is the 
  constant/function number.

----

Overview of changes in gcalctool 4.2.40

* Fixed Bugzilla bug 104245. The View->Basic Mode, Financial Mode, 
  Scientific Mode and Memory Registers now have keyboard accelerators 
  (Control-B, Control-F, Control-S and Control-M respectively).

----

Overview of changes in gcalctool 4.2.39

* Further slight adjustments for Bugzilla bug 104287
  The insert button isthe default button. 
  The dialog is no longer resizable. 
  The ESC key can now be used to cancel the dialog. 

----

Overview of changes in gcalctool 4.2.38

* Fixed Bugzilla bug 104287. HIG improvements for the "Insert ASCII Value" 
  dialog.

----

Overview of changes in gcalctool 4.2.37

* Fixed Bugzilla bug 104241. The Insert ASCII Value" menu item is now 
  "Insert ASCII Value..."
* Tidied up the I18N code as gcalctool now includes <gnome.h> which includes
  <bonobo-i18n.h,> where all this stuff is already defined.

----

Overview of changes in gcalctool 4.2.36

* Fixed Bugzilla bug #102928. The x^2, e^x, 10^x and y^x keys now use 
  Pango markup to display the label using superscripts.

----

Overview of changes in gcalctool 4.2.35

* Added in handling of the numeric keypad for Linux systems.

----

Overview of changes in gcalctool 4.2.34

* Handling of the users saved function definitions now works correctly.
* Changed the keyboard accelerators for the following to use non Alt-<?>
  values:

  Cos  (old value: Alt-c) becomes 'J'.
  Sin  (old value: Alt-s) becomes 'K'.
  Tan  (old value: Alt-t) becomes 'L'.
  Frac (old value: Alt-f) becomes ':'.
  Int  (old value: Alt-i) becomes 'i'.
  Abs  (old value: Alt-u) becomes 'u'.
  Rate (old value: Alt-r) becomes 'T'.
* Removed the need to configure with "--enable-build-broken".

----

Overview of changes in gcalctool 4.2.33

* Adjusted the memory registers windows to use the same "R0:  0.00" format
  (bold for first part), as the Rcl, Sto and Exch menus.

----

Overview of changes in gcalctool 4.2.32

* The menu items for the Rcl, Sto and Exch menus now have the format
  "R0:     0.00", where the "R0:" part is in bold.
* The keyboard accelerators for the menubar menu items are now working.

----

Overview of changes in gcalctool 4.2.31

* Updated the NEWS file with an overview of all the changes since v4.1.13.

----

Overview of changes in gcalctool 4.2.30

* Removed the gconf resource for getting/setting whether a beep is sounded
  on error. A beep will now always be sounded in such a case.
* The writing out of the resources will now be immediately done when each 
  of those functions changes.

----

Overview of changes in gcalctool 4.2.29

* Updated the manual pages to reflect the recent v4.2.xx changes.
* Replaced the occurance of mktemp with mkstemp to placate the Gnu compiler
  on Linux.

----

Overview of changes in gcalctool 4.2.28

* The real fix for displaying the icon.

----

Overview of changes in gcalctool 4.2.27

* Vastly improved keyboard navigation.
* Control-F1 now toggles the displaying of tooltip help, so the "-h"
  command line option has been removed and the old-style event handling
  code has also been removed.
* Added in a signal handler for the "delete" event for the main gcalctool
  window. The callback calls gtk_main_quit() to terminate the application.

----

Overview of changes in gcalctool 4.2.26

* HCI change. Attempt to correct disaplay the gcalctool icon.

----

Overview of changes in gcalctool 4.2.25

* HCI change. The Sto/Rcl/Exch menu items now show the current register 
  values as well.

----

Overview of changes in gcalctool 4.2.24

* HCI change. All the radiobutton and checkbox items in the mode panel 
  now have a mnemonic associated with them.

----

Overview of changes in gcalctool 4.2.23

* HCI change. Fixed up the buttons on the "Insert ASCII Value", "Enter 
  Constant..." and "Enter Function..." popups. They now just use Cancel 
  and OK buttons, and use standard stock Gtk icons.

----

Overview of changes in gcalctool 4.2.22

* HCI change.  Added in an Edit->Paste menu item. If selected this will 
  paste the current contents of the clipboard into the calculator display 
  as if you'd typed it.
* Added bullet proofing to protect the calculator against values that 
  weren't found. If a value wasn't found, it's just ignored, and it goes 
  on to process the next character in the string.
* Improved the handling of the recognition of characters entered. It now
  takes into effect the mods value for each keysym.

----

Overview of changes in gcalctool 4.2.21

* HCI change. Added a 2 pixel border for the frames containing the Basic, 
  Financial and Scientific buttons and the mode panel.

----

Overview of changes in gcalctool 4.2.20

* HCI change. Removed the "operand item" label widget.

----

Overview of changes in gcalctool 4.2.19

* The frames around the mode button tables and the mode panel are no longer
  always being shown.

----

Overview of changes in gcalctool 4.2.18

* Fixed Bugzilla bug #101865. Remade various keyboard remappings:
* Removed mention of the "-l" and "-r" command line options from the manual
  pages. Remove reference to the /schemes/apps/gcalctool/righthanded Gconf
  resource too.

----

Overview of changes in gcalctool 4.2.17

* Removed the "Keys" key, that allowed you to toggle the button labels to 
  show their keyboard equivalents.

----

Overview of changes in gcalctool 4.2.16

* Put each of the the button tables and the mode panel inside a frame, rather
  then use horizontal separators, to try to make the GUI look nicer.

----

Overview of changes in gcalctool 4.2.15

* Entering "((2+3)*(2+3))" now gives the correct answer.
* Added some bullet-proofing to parentheses handling when bogus characters
  are entered.

----

Overview of changes in gcalctool 4.2.14

* Hooked up the Help->Contents menu item. Note that help support still has
  to be included (i.e. a help subdirectory with associated files etc.).

----

Overview of changes in gcalctool 4.2.13

* The View->Memory Registers menu item now correctly toggles the showing of
  the memory register window.

----

Overview of changes in gcalctool 4.2.12

* Menubar menu items now use stock Gtk icons (where applicable).

----

Overview of changes in gcalctool 4.2.11

* Revised the gcalctoolrc (Gtk resources) file for the new display layout.

----

Overview of changes in gcalctool 4.2.10

* Going into Scientific mode and clicking on "(" twice no longer causes a
  segmentation violation.

----

Overview of changes in gcalctool 4.2.9

* Added some horizontal separators to help make the calculator more readable
  when in Financial and Scientific Mode.

----

Overview of changes in gcalctool 4.2.8

* Entering "((2+3)*9+(5-3))" no longer causes a segmentation violation.

----

Overview of changes in gcalctool 4.2.7

* Removed the attempt to display a calculator image on the About popup.
* Typing the keyboard equivalent of the menu buttons now works.
* Removed the VERSION string from the titlebar. This is now in the About popup

----

Overview of changes in gcalctool 4.2.6

* Added in an About popup that's accessible through the Help->About Gcalctool
  menubar Help menu item.

----

Overview of changes in gcalctool 4.2.5

* Fixed Bugzilla bug #102927.
  Replaced abbreviation "trig." with full word "trigonometric".

----

Overview of changes in gcalctool 4.2.4

* Fixed Bugzilla bug #102922.
  Adjusted two occurances of sentence fragments to make it easier for 
  L10N folks to translate them.

----

Overview of changes in gcalctool 4.2.3

* Added Spanish (es) to ALL_LINGUAS at configure.in
* gcalctool is now resizable again.

----

Overview of changes in gcalctool 4.2.2

* Made calculator window choose a reasonable size at startup, and resize
  when changing modes.

----

Overview of changes in gcalctool 4.2.1

* Removed the GNOME_UTIL_LIBS line in gcalctool/Makefile.am so that 
  gcalctool will correctly build.

----

Overview of changes in gcalctool 4.2.0

* The gcalctool GUI layout has been redone to make the Basic mode more
  basic and to make the application more GNOMEish.
* The Financial/Logical/Scientific mode buttons have been moved into
  the main calculator window above the Basic mode buttons. The Logical
  and Scientific modes have been combined.
* Added a menubar.
* The six item mode display has been removed and a mode panel added for
  the scientific mode.
* Removed the property sheet. gcalctool no longer has a left or right 
  handed style.
* Blank buttons are now correctly hidden.
* Added a "--enable-build-broken" flag to configure that has to be present
  in order to configure and build gcalctool while it's still in a semi-broken
  state.

----

Overview of changes in gcalctool 4.1.27

* Fixed Bugzilla bug #101782.
  Removed trailing "\n"'s where possible in the tooltip help messages.

----

Overview of changes in gcalctool 4.1.26

* Fixed Bugzilla bug #101861.
  The size of the memory register window is no longer hard-wired.

----

Overview of changes in gcalctool 4.1.25

* Fixed Bugzilla bug #101867.
  Changed multiply key from "X" to "*" (same as the existing gnome-calculator).

----

Overview of changes in gcalctool 4.1.24

* Fixed Bugzilla bug #101780.
  Removed leading and trailing spaces from the labels for the gcalctool buttons.

----

Overview of changes in gcalctool 4.1.23

* Fixed Bugzilla bug #101777.
  Removed trailing periods on the four window titles.

----

Overview of changes in gcalctool 4.1.22

* Various I18N changes.

----

Overview of changes in gcalctool 4.1.21

* Various I18N changes.

----

Overview of changes in gcalctool 4.1.20

* Fixed Sun Bugtraq bug #1102883 against DeskSet calctool:
  Adjusted so that all error messages just display "Error" which is
  more consistent.

----

Overview of changes in gcalctool 4.1.19

* Fixed Sun Bugtraq bug #4006391 against CDE dtcalc:
  Bring up gcalctool, enter 10000 X 0.58 =, get answer is 5800.
  Then click on Int button, supposely should get 5800, but the answer was 5799.

----

Overview of changes in gcalctool 4.1.18

* Fixed Sun Bugtraq bug #1258472 against CDE dtcalc:
  Start up gcalctool and set to decimal and fixed. Set accuracy to 2 decimal
  places. Do a division like 0.19/2  It gives 0.0A.

----

Overview of changes in gcalctool 4.1.17

* Fixed Bugtraq bug #1190181 against OpenWindows DeskSet calctool:
  gcalctool core dumped if parent directory was not readable.

----

Overview of changes in gcalctool 4.1.16

* Updated TODO file with all relevant calculator Sun bugs and rfes.
* Adjusted matherr() routine so that strict ANCI C compilers can compile it.
* Mode windows now shows buttons correctly if you start up in Basic mode,
  then try to show one of the other modes.

----

Overview of changes in gcalctool 4.1.15

* "Keys" button now displays correctly if started with left-handed style.
* Switching handed style now displays button labels correctly if currently
  showing the keyboard equivalent.

----

Overview of changes in gcalctool 4.1.14

* Buttons are colored correctly if started with left-handed style.

----

Overview of changes in gcalctool 4.1.13

* The unused buttons in the mode window are now hidden.

----

Overview of changes in gcalctool 4.1.12

* Added gconf support, removing the use of X11 resources.

----

Overview of changes in gcalctool 4.1.11

* Explicitly setting the size of the calculator buttons has been removed.
* The width of the mode window is now set to the width of the main window.

----

Overview of changes in gcalctool 4.1.10

* Fixes for I18N support.

----

Overview of changes in gcalctool 4.1.9

* Now that gcalctool is using Gtk resources to determine the appearance of
  the calculator, there is no need to use the custom display_frame widget.
* The calculator display area now has tooltip help.

----

Overview of changes in gcalctool 4.1.8

* Fixed up mistakes is the gcalctool tooltip help text.
* Three keyboard accelerators weren't working when a "menu" button had been
  pressed and the calculator was in pending mode:
  Base button - "o" (octal).
  Mode button - "l" (logical).
  Trig button - "g" (gradient).
* The + and . keys on the numeric keypad now work.

----

Overview of changes in gcalctool 4.1.7

* Added in help support. Hitting the Help key will toggle whether tooltip
  help messages are displayed for the various buttons and other widgets.

  By default tooltips are disabled. Start gcalctool with the "-h" command
  line option will enable them. There is also a "gcalctool.showhelp"
  resource that can enable/disable them.

----

Overview of changes in gcalctool 4.1.6

* The new Constant/Function popup now has the various items aligned.

----

Overview of changes in gcalctool 4.1.5

* The size of the buttons in the Mode window are incorrect if the unused ones
  are not shown. Solved this my simply making the unused ones insnsitive, and
  showing them all.

----

Overview of changes in gcalctool 4.1.4


* Keyboard accelerators now work for the gcalctool "menu" buttons.

----

Overview of changes in gcalctool 4.1.3

* The constant and function definitions are now read and written to a file
  named ~/.gcalctoolcf.
* gcalctool now also tries to read a ~/.gcalctoolrc file at startup time.
  This file (if it exists) can contain resources for changing the appearance
  of the application. A gcalctoolrc file is now also included with the
  gcalctool distribution, which gives the old OpenWindows DeskSet appearance
  to the calculator.
* The ability to change various colors via X resources has also been removed.
  The manual pages have been updated to reflect this.

----

Overview of changes in gcalctool 4.1.2

* Starting gcalctool then switching hands to left-handed, then using the
  keyboard for input, wrongly associated the various keyboard accelerators
  for the swapped keys.

----

Overview of changes in gcalctool 4.1.1

* Now finds the X11 libraries in a platform independent way.
* Fixed up the gcalctool usage message.
* Fixed up the gcalctool manual pages.
* gcalctool now looks for ~/.gcalctoolrc and ~/.gcalctooldefaults files.
* X resources are now "gcalctool.<whatever" rather than "calctool.<whatever>".

----

Overview of changes in gcalctool 4.1.0

* Graphics driver is now based on Gtk2.

----

Overview of changes in calctool 4.0.0

* Code based on the calctool in the OpenWindows Deskset for Solaris 8.
* Adjusted to use an autoconf/automake configuration and build environment.
* Adjusted the code to a K&R style.
* Incorporated in needed code from the libguide and libdeskset libraries.
* Released under a GNU LIBRARY GENERAL PUBLIC LICENSE (LGPL) license.
* Just an XView graphics driver currently provided.

----Piotr Drąg
